options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

libname OUT 'C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019';


ods HTML file="C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019\TABLES_A_B_C_D\DETROIT_15_17_BACKWARD_TABLE_D.XLS" ;

DATA BACKWARD; SET OUT.BLCINCH; 
* Note missing command;
     missing B D R X _ H M N;
     MISSING b d r m n;

IF INTSTATUS17 IN('1');

IF OMB13CBSA = '19820';
RUN;


**********************************************************************;
DATA COLUMN_C ; SET BACKWARD; IF INTSTATUS17 IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF INTSTATUS17 IN('1') AND BLSTATUS = 1 AND INTSTATUS15 IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF INTSTATUS17 IN('1') AND BLSTATUS = 1 AND INTSTATUS15 NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF INTSTATUS17 IN('1') AND BLSTATUS  IN(2,3,4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R1 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;


DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 ; BY ROW; RUN;
*****************************************************************;
DATA COLUMN_C ; SET BACKWARD; IF In17_TENURE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS = 1 AND In17_TENURE IN('1') AND  In15_TENURE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS = 1 AND In17_TENURE IN('1') AND In15_TENURE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT;  
OUTPUT OUT=COL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND In17_TENURE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R2 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;

DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 ; BY ROW; RUN;



*****************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF In17_TENURE IN('2','3') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND In17_TENURE IN('2','3') AND In15_TENURE IN('2','3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND In17_TENURE IN('2','3') AND In15_TENURE NOT IN('2','3') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND In17_TENURE IN('2','3'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R4 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;

DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4 ; BY ROW; RUN;

**********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE='3' OR In17_HUDSUB IN('1','2')) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE='3' OR In17_HUDSUB IN('1','2')) AND 
(In15_TENURE='3' OR In15_HUDSUB IN('1','2')); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE='3' OR In17_HUDSUB IN('1','2')) AND  
NOT (In15_TENURE='3' OR In15_HUDSUB IN('1','2')); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE='3' OR In17_HUDSUB IN('1','2')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R5 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;


DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5 ; BY ROW; RUN;




*************************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND In17_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND In17_TENURE IN('2') AND (In17_HUDSUB IN('3') AND In17_TOTHCAMT LT 800)
 AND (In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND In15_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND In17_TOTHCAMT LT 800)
 AND NOT (In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND In15_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; OUTPUT OUT=COL_E_R6 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND In17_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; OUTPUT OUT=COL_F_R6 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;

DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 800 LE In17_TOTHCAMT LT 1250) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 800 LE In17_TOTHCAMT LT 1250) 
AND (In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND 800 LE In15_TOTHCAMT LT 1250); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 800 LE In17_TOTHCAMT LT 1250) AND 
NOT (In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND 800 LE In15_TOTHCAMT LT 1250); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R8 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 800 LE In17_TOTHCAMT LT 1250) AND BLSTATUS  IN(2,3,4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R8 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;

DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8  ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 1250 LE In17_TOTHCAMT) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 1250 LE In17_TOTHCAMT) AND 
(In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND 1250 LE In15_TOTHCAMT); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 1250 LE In17_TOTHCAMT) AND 
 NOT (In15_TENURE IN('2') AND In15_HUDSUB IN('3') AND 1250 LE In15_TOTHCAMT); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R10 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF (In17_TENURE IN('2') AND In17_HUDSUB IN('3') AND 1250 LE In17_TOTHCAMT) AND BLSTATUS  IN(2,3,4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R10 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;

DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10  ; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN ('2','3') AND In17_HINCP LT 30000); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R11 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET BACKWARD; IF  BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND In17_HINCP LT 30000) AND 
(In15_TENURE IN ('2','3') AND In15_HINCP LT 30000) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R11 N=N_D SUM=SUM_D ;RUN;


DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND In17_HINCP LT 30000) AND  
NOT (In15_TENURE IN ('2','3') AND In15_HINCP LT 30000); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R11 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF (In17_TENURE IN ('2','3') AND In17_HINCP LT 30000) AND BLSTATUS  IN(2,3,4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R11 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R11; SET COL_C_R11; ROW=11; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R11; SET COL_D_R11; ROW=11; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R11; SET COL_E_R11; ROW=11; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R11; SET COL_F_R11; ROW=11; KEEP ROW N_F SUM_F; RUN;

DATA ROW11; MERGE COL_C_R11 COL_D_R11 COL_E_R11 COL_F_R11 ; BY ROW; RUN;

*************************************************************************;

***********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN ('2','3') AND 30000 LE In17_HINCP LT 50000) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R13 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND 30000 LE In17_HINCP LT 50000) AND 
(In15_TENURE IN ('2','3') AND 30000 LE In15_HINCP LT 50000) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND 30000 LE In17_HINCP LT 50000) 
AND NOT (In15_TENURE IN ('2','3') AND 30000 LE In15_HINCP LT 50000); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R13 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN ('2','3') AND 30000 LE In17_HINCP LT 50000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R13 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;


DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN ('2','3') AND 50000 LE In17_HINCP); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R15 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND 50000 LE In17_HINCP) AND 
(In15_TENURE IN ('2','3') AND 50000 LE In15_HINCP) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R15 N=N_D SUM=SUM_D ;RUN;


DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN ('2','3') AND 50000 LE In17_HINCP) 
AND NOT (In15_TENURE IN ('2','3') AND 50000 LE In15_HINCP) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R15 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN ('2','3') AND 50000 LE In17_HINCP); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R15 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;



DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND In17_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R16 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND In17_TOTHCAMT LT 800) AND 
(In15_TENURE IN('1') AND In15_TOTHCAMT LT 800) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND In17_TOTHCAMT LT 800)
AND NOT (In15_TENURE IN('1') AND In15_TOTHCAMT LT 800) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R16 N=N_E SUM=SUM_E ;RUN;



DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND In17_TOTHCAMT LT 800); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R16 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;

DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND 800 LE In17_TOTHCAMT LT 1250); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R18 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 800 LE In17_TOTHCAMT LT 1250) AND
 (In15_TENURE IN('1') AND 800 LE In15_TOTHCAMT LT 1250); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R18 N=N_D SUM=SUM_D ;RUN;


DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 800 LE In17_TOTHCAMT LT 1250)  
AND NOT (In15_TENURE IN('1') AND 800 LE In15_TOTHCAMT LT 1250) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R18 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND 800 LE In17_TOTHCAMT LT 1250); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R18 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;

DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18  ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND 1250 LE In17_TOTHCAMT); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R20 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 1250 LE In17_TOTHCAMT) AND 
(In15_TENURE IN('1') AND 1250 LE In15_TOTHCAMT); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 1250 LE In17_TOTHCAMT) 
AND NOT (In15_TENURE IN('1') AND 1250 LE In15_TOTHCAMT) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND 1250 LE In17_TOTHCAMT); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R20 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;

DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20  ; BY ROW; RUN;


**********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND In17_HINCP LT 60000); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R21 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND In17_HINCP LT 60000) AND 
(In15_TENURE IN('1') AND In15_HINCP LT 60000) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R21 N=N_D SUM=SUM_D ;RUN;


DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND In17_HINCP LT 60000) 
AND NOT (In15_TENURE IN('1') AND In15_HINCP LT 60000) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R21 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND In17_HINCP LT 60000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R21 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;



DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21 ; BY ROW; RUN;

***********************************************************************;


DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND 60000 LE In17_HINCP LT 100000); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R23 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 60000 LE In17_HINCP LT 100000) AND
(In15_TENURE IN('1') AND 60000 LE In15_HINCP LT 100000) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R23 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 60000 LE In17_HINCP LT 100000) 
AND NOT (In15_TENURE IN('1') AND 60000 LE In15_HINCP LT 100000) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R23 N=N_E SUM=SUM_E ;RUN;


DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND 60000 LE In17_HINCP LT 100000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R23 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R23; SET COL_C_R23; ROW=23; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R23; SET COL_D_R23; ROW=23; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R23; SET COL_E_R23; ROW=23; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R23; SET COL_F_R23; ROW=23; KEEP ROW N_F SUM_F; RUN;



DATA ROW23; MERGE COL_C_R23 COL_D_R23 COL_E_R23 COL_F_R23 ; BY ROW; RUN;

***********************************************************************;

DATA COLUMN_C ; SET BACKWARD; IF (In17_TENURE IN('1') AND 100000 LE In17_HINCP); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=COL_C_R24 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 100000 LE In17_HINCP) 
AND (In15_TENURE IN('1') AND 100000 LE In15_HINCP); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET BACKWARD; IF BLSTATUS=1 AND (In17_TENURE IN('1') AND 100000 LE In17_HINCP) 
AND NOT (In15_TENURE IN('1') AND 100000 LE In15_HINCP) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET BACKWARD; IF BLSTATUS  IN(2,3,4) AND (In17_TENURE IN('1') AND 100000 LE In17_HINCP); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R24 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;



DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 ; BY ROW; RUN;


******************************************************************************************************;

DATA ALL; SET 
              ROW1  ROW2  ROW4  ROW5   ROW6   ROW8   ROW10
              ROW11 ROW13 ROW15 ROW16  ROW18  ROW20 
              ROW21 ROW23 ROW24 ; RUN;

DATA ALL;SET  ALL;


LENGTH ROW_TITLE $ 50;

IF ROW =1	 THEN ROW_TITLE='Occupied Units					';
IF ROW =2	 THEN ROW_TITLE='Owner occupied					';
IF ROW =4	 THEN ROW_TITLE='Renter occupied				';
IF ROW =5	 THEN ROW_TITLE='Renter : No cash rent or HUD assisted		';
IF ROW =6	 THEN ROW_TITLE='Renter Monthly Housing Costs: Less than 800	';

IF ROW =8	 THEN ROW_TITLE='Renter Monthly Housing Costs: $800 to $1249	';


IF ROW =10	 THEN ROW_TITLE='Renter Monthly Housing Costs: $1250 or more	';

IF ROW =11	 THEN ROW_TITLE='Renter Household Income: Less than $30,000	';


IF ROW =13	 THEN ROW_TITLE='Renter Household Income: $30,000 to $49,999	';


IF ROW =15	 THEN ROW_TITLE='Renter Household Income: $80,000 or more	';

IF ROW =16	 THEN ROW_TITLE='Owner Monthly Housing Costs: Less than $800	';



IF ROW =18	 THEN ROW_TITLE='Owner Monthly Housing Costs: $800 to $1,249	';


IF ROW =20	 THEN ROW_TITLE='Owner Monthly Housing Costs: $1,250 or more	';

IF ROW =21	 THEN ROW_TITLE='Owner Household Income: $0 to $59,999	        ';

IF ROW =23	 THEN ROW_TITLE='Owner Household Income: $60,000 to $99,999	';
IF ROW =24	 THEN ROW_TITLE='Owner Household Income: $100,000 or more	';

RUN;


****************************************************************************************************;

DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F);RUN;

PROC PRINT DATA=ALL NOOBS; VAR ROW_TITLE ROW SUM_C SUM_D SUM_E SUM_F N_C N_D N_E N_F COL_CHECK  
; RUN;



