options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

libname OUT 'C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019';


ods HTML file="C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019\TABLES_A_B_C_D\DETROIT_15_17_FORWARD_TABLE_A.XLS" ;

DATA FORWARD; SET OUT.FLCINCH; 
* Note missing command;
     missing B D R X _ H M N;
     MISSING b d r m n;
IF OMB13CBSA = '19820';
RUN;

**********************************************************************;
DATA COLUMN_C ; SET FORWARD; IF INTSTATUS15 IN('1','2','3') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF INTSTATUS15 IN('1','2','3') AND FLSTATUS = 1 AND 
INTSTATUS17 IN('1','2','3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF INTSTATUS15 IN('1','2','3') AND FLSTATUS = 1 AND 
INTSTATUS17 NOT IN('1','2','3') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF INTSTATUS15 IN('1','2','3') AND FLSTATUS  IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R1 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;



DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 ; BY ROW; RUN;

*****************************************************************;
DATA COLUMN_C ; SET FORWARD; IF INTSTATUS15 IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17 IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17  IN('2','3','4') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS  IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R2 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;



DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 ; BY ROW; RUN;

*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_VACANCY IN('01','02','03','04','05','06','07') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_VACANCY IN('01','02','03','04','05','06','07') AND 
FLSTATUS=1 AND  IN17_VACANCY IN('01','02','03','04','05','06','07') ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_VACANCY IN('01','02','03','04','05','06','07') AND 
FLSTATUS=1 AND  IN17_VACANCY NOT IN('01','02','03','04','05','06','07') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_VACANCY IN('01','02','03','04','05','06','07') AND 
FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R3 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;



DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3 ; BY ROW; RUN;


*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_VACANCY IN('08','09','10','11') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_VACANCY IN('08','09','10','11') AND FLSTATUS=1 
AND IN17_VACANCY IN('08','09','10','11'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_VACANCY IN('08','09','10','11') AND FLSTATUS=1 
AND IN17_VACANCY NOT IN('08','09','10','11') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_VACANCY IN('08','09','10','11') AND FLSTATUS IN(2,3) ; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R4 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;

DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4 ; BY ROW; RUN;


**********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BLD = '02' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD = '02' AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R5; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD = '02' AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R5 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;


DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5  ; BY ROW; RUN;
*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BLD = '03' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD = '03' AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R6; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD = '03' AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R6 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;



DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_BLD IN('04','05','06') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD IN('04','05','06') AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R7; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD IN('04','05','06') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R7 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;



DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BLD = '07' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R9 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD = '07' AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R9 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R9; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD = '07' AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R9 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R9; SET COL_C_R9; ROW=9; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R9; SET COL_D_R9; ROW=9; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R9; SET COL_E_R9; ROW=9; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R9; SET COL_F_R9; ROW=9; KEEP ROW N_F SUM_F; RUN;



DATA ROW9; MERGE COL_C_R9 COL_D_R9 COL_E_R9 COL_F_R9 ; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_BLD IN('08','09'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD IN('08','09') AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R10; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD IN('08','09') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R10 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;


DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BLD IN('01','10') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R12 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_BLD IN('01','10') AND FLSTATUS=1 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R12 N=N_D SUM=SUM_D ;RUN;


DATA COL_E_R12; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_BLD IN('01','10') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R12 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;

DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12  ; BY ROW; RUN;

***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT = 2010 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R13 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT = 2010 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R13; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT = 2010; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R13 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;



DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13 
 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT = 2000 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R14 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT = 2000 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R14; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT = 2000; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R14 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;


DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT = 1990 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R15 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT = 1990 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R15 N=N_D SUM=SUM_D ;RUN;


DATA COL_E_R15; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT = 1990; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R15 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;


DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 
; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT = 1980 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R16 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT = 1980 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R16; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT = 1980; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R16 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;


DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16 
; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT = 1970 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R17 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT = 1970 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R17 N=N_D SUM=SUM_D ;RUN;



DATA COL_E_R17; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT = 1970; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R17 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;


DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 
; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT  IN(1950,1960) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R18 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT  IN(1950,1960); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R18 N=N_D SUM=SUM_D ;RUN;



DATA COL_E_R18; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT  IN(1950,1960); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R18 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;


DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18 
; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_YRBUILT LE 1940 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R20 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_YRBUILT LE 1940 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R20 N=N_D SUM=SUM_D ;RUN;


DATA COL_E_R20; N_E=0; SUM_E=0; RUN;


DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_YRBUILT LE 1940; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R20 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;

DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20 ; BY ROW; RUN;

***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS  LE 3 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R24 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS  LE 3 AND IN17_TOTROOMS = 1; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS  LE 3 AND IN17_TOTROOMS GT 1 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS  LE 3; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R24 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;

DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 
; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS = 4 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R27 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 4 AND IN17_TOTROOMS = 4; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R27 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 4 AND IN17_TOTROOMS NE 4 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R27 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS = 4; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R27 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R27; SET COL_C_R27; ROW=27; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R27; SET COL_D_R27; ROW=27; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R27; SET COL_E_R27; ROW=27; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R27; SET COL_F_R27; ROW=27; KEEP ROW N_F SUM_F; RUN;

DATA ROW27; MERGE COL_C_R27 COL_D_R27 COL_E_R27 COL_F_R27 
; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS = 5 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R28 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 5 AND IN17_TOTROOMS = 5; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R28 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 5 AND IN17_TOTROOMS NE 5 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R28 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS = 5; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R28 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R28; SET COL_C_R28; ROW=28; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R28; SET COL_D_R28; ROW=28; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R28; SET COL_E_R28; ROW=28; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R28; SET COL_F_R28; ROW=28; KEEP ROW N_F SUM_F; RUN;



DATA ROW28; MERGE COL_C_R28 COL_D_R28 COL_E_R28 COL_F_R28 
 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS = 6 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R29 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 6 AND IN17_TOTROOMS = 6; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R29 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 6 AND IN17_TOTROOMS NE 6 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R29 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS = 6; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R29 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R29; SET COL_C_R29; ROW=29; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R29; SET COL_D_R29; ROW=29; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R29; SET COL_E_R29; ROW=29; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R29; SET COL_F_R29; ROW=29; KEEP ROW N_F SUM_F; RUN;



DATA ROW29; MERGE COL_C_R29 COL_D_R29 COL_E_R29 COL_F_R29 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS = 7 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R30 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 7 AND IN17_TOTROOMS = 7; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R30 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS = 7 AND IN17_TOTROOMS NE 7 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R30 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS = 7; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R30 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R30; SET COL_C_R30; ROW=30; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R30; SET COL_D_R30; ROW=30; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R30; SET COL_E_R30; ROW=30; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R30; SET COL_F_R30; ROW=30; KEEP ROW N_F SUM_F; RUN;



DATA ROW30; MERGE COL_C_R30 COL_D_R30 COL_E_R30 COL_F_R30 
 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_TOTROOMS GE 8 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R31 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS GE 8 AND IN17_TOTROOMS = 8; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R31 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_TOTROOMS GE 8 AND IN17_TOTROOMS NE 8 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R31 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_TOTROOMS GE 8; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R31 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R31; SET COL_C_R31; ROW=31; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R31; SET COL_D_R31; ROW=31; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R31; SET COL_E_R31; ROW=31; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R31; SET COL_F_R31; ROW=31; KEEP ROW N_F SUM_F; RUN;


DATA ROW31; MERGE COL_C_R31 COL_D_R31 COL_E_R31 COL_F_R31 
 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BEDROOMS  LE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R34 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS  LE 1 AND IN17_BEDROOMS = 0; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R34 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS  LE 1 AND IN17_BEDROOMS NE 0 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R34 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_BEDROOMS  LE 1; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R34 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R34; SET COL_C_R34; ROW=34; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R34; SET COL_D_R34; ROW=34; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R34; SET COL_E_R34; ROW=34; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R34; SET COL_F_R34; ROW=34; KEEP ROW N_F SUM_F; RUN;



DATA ROW34; MERGE COL_C_R34 COL_D_R34 COL_E_R34 COL_F_R34 
; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_BEDROOMS =2 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R36 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS =2 AND IN17_BEDROOMS =2; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R36 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS =2 AND IN17_BEDROOMS NE 2 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R36 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_BEDROOMS =2; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R36 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R36; SET COL_C_R36; ROW=36; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R36; SET COL_D_R36; ROW=36; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R36; SET COL_E_R36; ROW=36; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R36; SET COL_F_R36; ROW=36; KEEP ROW N_F SUM_F; RUN;



DATA ROW36; MERGE COL_C_R36 COL_D_R36 COL_E_R36 COL_F_R36 
; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_BEDROOMS =3 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R37 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS =3 AND IN17_BEDROOMS =3; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R37 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS =3 AND IN17_BEDROOMS NE 3 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R37 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_BEDROOMS =3; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R37 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R37; SET COL_C_R37; ROW=37; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R37; SET COL_D_R37; ROW=37; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R37; SET COL_E_R37; ROW=37; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R37; SET COL_F_R37; ROW=37; KEEP ROW N_F SUM_F; RUN;


DATA ROW37; MERGE COL_C_R37 COL_D_R37 COL_E_R37 COL_F_R37  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_BEDROOMS GE 4 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R38 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS GE 4 AND IN17_BEDROOMS GE 4; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R38 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_BEDROOMS GE 4 AND IN17_BEDROOMS LE 3 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R38 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_BEDROOMS GE 4; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R38 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R38; SET COL_C_R38; ROW=38; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R38; SET COL_D_R38; ROW=38; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R38; SET COL_E_R38; ROW=38; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R38; SET COL_F_R38; ROW=38; KEEP ROW N_F SUM_F; RUN;


DATA ROW38; MERGE COL_C_R38 COL_D_R38 COL_E_R38 COL_F_R38 
 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_BLD IN('04','05','06','07','08','09') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R39 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_BLD IN('04','05','06','07','08','09'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R39 N=N_D SUM=SUM_D ;RUN;


DATA COL_E_R39; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_BLD IN('04','05','06','07','08','09'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R39 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R39; SET COL_C_R39; ROW=39; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R39; SET COL_D_R39; ROW=39; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R39; SET COL_E_R39; ROW=39; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R39; SET COL_F_R39; ROW=39; KEEP ROW N_F SUM_F; RUN;

DATA ROW39; MERGE COL_C_R39 COL_D_R39 COL_E_R39 COL_F_R39 
; BY ROW; RUN;


***********************************************************************;
DATA FORWARD_STORIES; SET FORWARD; IF IN15_BLD IN('04','05','06','07','08','09'); RUN;


DATA COLUMN_C ; SET FORWARD_STORIES; IF IN15_STORIES IN(1,2) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R40 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD_STORIES; IF FLSTATUS=1 AND IN15_STORIES IN(1,2) ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R40 N=N_D SUM=SUM_D ;RUN;


DATA COL_E_R40; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD_STORIES; IF FLSTATUS IN(2,3) AND IN15_STORIES IN(1,2); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R40 N=N_F SUM=SUM_F ;RUN;

DATA COL_C_R40; SET COL_C_R40; ROW=40; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R40; SET COL_D_R40; ROW=40; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R40; SET COL_E_R40; ROW=40; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R40; SET COL_F_R40; ROW=40; KEEP ROW N_F SUM_F; RUN;


DATA ROW40; MERGE COL_C_R40 COL_D_R40 COL_E_R40 COL_F_R40  ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD_STORIES; IF IN15_STORIES GE 3 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R42 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD_STORIES; IF FLSTATUS=1 AND IN15_STORIES GE 3 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R42 N=N_D SUM=SUM_D ;RUN;

DATA COL_E_R42; N_E=0; SUM_E=0; RUN;

DATA COLUMN_F ; SET FORWARD_STORIES; IF FLSTATUS IN(2,3) AND IN15_STORIES GE 3; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R42 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R42; SET COL_C_R42; ROW=42; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R42; SET COL_D_R42; ROW=42; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R42; SET COL_E_R42; ROW=42; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R42; SET COL_F_R42; ROW=42; KEEP ROW N_F SUM_F; RUN;


DATA ROW42; MERGE COL_C_R42 COL_D_R42 COL_E_R42 COL_F_R42  ; BY ROW; RUN;


***********************************************************************;


DATA ALL; SET 
              ROW1  ROW2  ROW3  ROW4  ROW5  ROW6  ROW7  ROW9  ROW10
              ROW12 ROW13 ROW14 ROW15 ROW16 ROW17 ROW18 ROW20 
              ROW24 ROW27 ROW28 ROW29 ROW30
              ROW31 ROW34 ROW36 ROW37 ROW38 ROW39 ROW40
              ROW42 ; RUN;

DATA ALL;SET  ALL;


LENGTH ROW_TITLE $ 40;

IF ROW=1 THEN ROW_TITLE='Housing Stock				';
IF ROW=2 THEN ROW_TITLE='Occupancy Status: Occupied		';
IF ROW=3 THEN ROW_TITLE='Occupancy Status: Vacant		';
IF ROW=4 THEN ROW_TITLE='Occupancy Status: Seasonal		';

IF ROW=5 THEN ROW_TITLE='Structure Type: 1, detached		';
IF ROW=6 THEN ROW_TITLE='Structure Type: 1, attached		';

IF ROW=7 THEN ROW_TITLE='Structure Type: 2 to 9			';


IF ROW=9  THEN ROW_TITLE='Structure Type: 10 to 19		';
IF ROW=10 THEN ROW_TITLE='Structure Type: 20 or more		';

IF ROW=12 THEN ROW_TITLE='Structure Type: Manufactured/MH/Other ';
IF ROW=13 THEN ROW_TITLE='Year Structure Built: 20102017	';
IF ROW=14 THEN ROW_TITLE='Year Structure Built: 20002009	';
IF ROW=15 THEN ROW_TITLE='Year Structure Built: 19901999	';
IF ROW=16 THEN ROW_TITLE='Year Structure Built: 19801989	';
IF ROW=17 THEN ROW_TITLE='Year Structure Built: 19701979	';
IF ROW=18 THEN ROW_TITLE='Year Structure Built: 19501969	';

IF ROW=20 THEN ROW_TITLE='Year Structure Built: 1949 or ealier	';


IF ROW=24 THEN ROW_TITLE='Rooms: 3 or fewer rooms               ';


IF ROW=27 THEN ROW_TITLE='Rooms: 4 rooms			';
IF ROW=28 THEN ROW_TITLE='Rooms: 5 rooms			';
IF ROW=29 THEN ROW_TITLE='Rooms: 6 rooms			';
IF ROW=30 THEN ROW_TITLE='Rooms: 7 rooms			';
IF ROW=31 THEN ROW_TITLE='Rooms: 8 rooms or more		';

IF ROW=34 THEN ROW_TITLE='Bedrooms: None or 1			';

IF ROW=36 THEN ROW_TITLE='Bedrooms: 2				';
IF ROW=37 THEN ROW_TITLE='Bedrooms: 3				';
IF ROW=38 THEN ROW_TITLE='Bedrooms: 4 or more			';
IF ROW=39 THEN ROW_TITLE='Multiunit structures			';
IF ROW=40 THEN ROW_TITLE='Stories in Structures: 1 or 2		';

IF ROW=42 THEN ROW_TITLE='Stories in Structures: 3 or more	';

RUN;


****************************************************************************************************;

DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F);LENGTH ROW_TITLE $ 50;RUN;

PROC PRINT DATA=ALL NOOBS; VAR ROW_TITLE ROW SUM_C SUM_D SUM_E SUM_F N_C N_D N_E N_F  COL_CHECK  
; RUN;

