options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

libname OUT 'C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019';

ods HTML file="C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019\TABLES_A_B_C_D\DETROIT_15-17_FORWARD_TABLE_B.XLS" ;

DATA FORWARD; SET OUT.FLCINCH; 
* Note missing command;
     missing B D R X _ H M N;
     MISSING b d r m n;
IF OMB13CBSA = '19820';
RUN;


****************************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF (INTSTATUS15 IN('1','2','3') OR NOINT15 IN (1,2,3,4,5,6)) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R0 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF (INTSTATUS15 IN('1','2','3') OR NOINT15 IN (1,2,3,4,5,6)) AND FLSTATUS = 1 AND 
(INTSTATUS17 IN('1','2','3') OR NOINT17 IN (1,2,3,4,5,6)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R0 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF (INTSTATUS15 IN('1','2','3') OR NOINT15 IN (1,2,3,4,5,6)) AND FLSTATUS = 1 AND 
NOT (INTSTATUS17 IN('1','2','3') OR NOINT17 IN (1,2,3,4,5,6)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R0 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF (INTSTATUS15 IN('1','2','3') OR NOINT15 IN (1,2,3,4,5,6)) AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R0 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R0; SET COL_C_R0; ROW=0; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R0; SET COL_D_R0; ROW=0; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R0; SET COL_E_R0; ROW=0; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R0; SET COL_F_R0; ROW=0; KEEP ROW N_F SUM_F; RUN;



DATA ROW0; MERGE COL_C_R0 COL_D_R0 COL_E_R0 COL_F_R0 ; BY ROW; RUN;


*****************************************************************************************;
DATA COLUMN_C ; SET FORWARD; IF INTSTATUS15 IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17 IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17  NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R1 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;



DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 ; BY ROW; RUN;

*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_ADEQUACY IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_ADEQUACY IN('1') AND FLSTATUS=1 AND IN17_ADEQUACY IN('1')  ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_ADEQUACY IN('1') AND FLSTATUS=1 AND IN17_ADEQUACY NOT IN('1'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF  IN15_ADEQUACY IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R2 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;



DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2  ; BY ROW; RUN;


*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF  IN15_ADEQUACY IN('2'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF  IN15_ADEQUACY IN('2') AND FLSTATUS=1 AND IN17_ADEQUACY IN('2') ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_ADEQUACY IN('2') AND FLSTATUS=1 AND  IN17_ADEQUACY NOT IN('2'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF  IN15_ADEQUACY IN('2') AND FLSTATUS IN(2,3) ; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R3 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;



DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3 ; BY ROW; RUN;


**********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_ADEQUACY = '3' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_ADEQUACY = '3' AND FLSTATUS=1 AND IN17_ADEQUACY = '3'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_ADEQUACY = '3' AND FLSTATUS=1 AND IN17_ADEQUACY NOT IN('3'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_ADEQUACY = '3' AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R4 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;



DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4  ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_COLD = '1' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF  IN15_COLD = '1'  AND FLSTATUS=1 AND  IN17_COLD = '1' ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_COLD = '1'  AND FLSTATUS=1 AND  IN17_COLD NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF  IN15_COLD = '1'  AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R5 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;



DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5  ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_NOTOIL IN('1'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_NOTOIL IN('1') AND FLSTATUS=1 AND IN17_NOTOIL IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_NOTOIL IN('1') AND FLSTATUS=1 AND IN17_NOTOIL NOT IN('1'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R6 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_NOTOIL IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R6 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;



DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_NOWAT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_NOWAT IN('1') AND FLSTATUS=1 AND IN17_NOWAT IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_NOWAT IN('1') AND FLSTATUS=1 AND IN17_NOWAT NOT IN('1'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R7 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_NOWAT IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R7 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;



DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_HOTWATER = '7' ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_HOTWATER = '7' AND FLSTATUS=1 AND IN17_HOTWATER = '7'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_HOTWATER = '7' AND FLSTATUS=1 AND IN17_HOTWATER NOT IN('7'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R8 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_HOTWATER = '7' AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R8 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;

DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8 ; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_SEWBREAK IN('1','2','3','4') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R9 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_SEWBREAK IN('1','2','3','4') AND FLSTATUS=1 
AND IN17_SEWBREAK IN('1','2','3','4'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R9 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_SEWBREAK IN('1','2','3','4') AND FLSTATUS=1 AND 
IN17_SEWBREAK NOT IN('1','2','3','4'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R9 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_SEWBREAK IN('1','2','3','4') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R9 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R9; SET COL_C_R9; ROW=9; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R9; SET COL_D_R9; ROW=9; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R9; SET COL_E_R9; ROW=9; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R9; SET COL_F_R9; ROW=9; KEEP ROW N_F SUM_F; RUN;



DATA ROW9; MERGE COL_C_R9 COL_D_R9 COL_E_R9 COL_F_R9  ; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_RODENT IN('1','2','3','4') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_RODENT IN('1','2','3','4') AND FLSTATUS=1 
AND IN17_RODENT IN('1','2','3','4'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_RODENT IN('1','2','3','4') AND FLSTATUS=1 AND 
IN17_RODENT NOT IN('1','2','3','4'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R10 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_RODENT IN('1','2','3','4') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R10 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;



DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10 ; BY ROW; RUN;

*************************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_FNDCRUMB IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R11 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_FNDCRUMB IN('1') AND FLSTATUS=1 AND IN17_FNDCRUMB IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R11 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_FNDCRUMB IN('1') AND FLSTATUS=1 AND IN17_FNDCRUMB NOT IN('1'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R11 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_FNDCRUMB IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R11 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R11; SET COL_C_R11; ROW=11; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R11; SET COL_D_R11; ROW=11; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R11; SET COL_E_R11; ROW=11; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R11; SET COL_F_R11; ROW=11; KEEP ROW N_F SUM_F; RUN;

DATA ROW11; MERGE COL_C_R11 COL_D_R11 COL_E_R11 COL_F_R11 ; BY ROW; RUN;

***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_ROOFHOLE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R12 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_ROOFHOLE IN('1') AND IN17_ROOFHOLE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R12 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_ROOFHOLE IN('1') AND IN17_ROOFHOLE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R12 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_ROOFHOLE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R12 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;



DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_ROOFSAG  IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R13 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_ROOFSAG  IN('1') AND IN17_ROOFSAG  IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_ROOFSAG  IN('1') AND IN17_ROOFSAG NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R13 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_ROOFSAG  IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R13 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;



DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_WALLSIDE IN('1'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R14 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WALLSIDE IN('1') AND IN17_WALLSIDE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WALLSIDE IN('1') AND IN17_WALLSIDE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R14 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WALLSIDE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R14 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;



DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_WALLSLOPE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R15 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WALLSLOPE IN('1') AND IN17_WALLSLOPE IN('1') ;RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R15 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WALLSLOPE IN('1') AND IN17_WALLSLOPE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R15 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WALLSLOPE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R15 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;



DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_WINBOARD IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R16 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WINBOARD IN('1') AND IN17_WINBOARD IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WINBOARD IN('1') AND IN17_WINBOARD NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R16 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WINBOARD IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R16 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;



DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_FLOORHOLE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R17 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_FLOORHOLE IN('1') 
AND IN17_FLOORHOLE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R17 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_FLOORHOLE IN('1') 
AND IN17_FLOORHOLE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R17 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_FLOORHOLE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R17 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;



DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_LEAKO IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R18 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_LEAKO IN('1') 
AND IN17_LEAKO IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R18 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_LEAKO IN('1') 
AND IN17_LEAKO NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R18 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_LEAKO IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R18 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;



DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18  ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_LEAKI IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R19 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_LEAKI IN('1') 
AND IN17_LEAKI IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R19 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_LEAKI IN('1') 
AND IN17_LEAKI NOT IN('1'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R19 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_LEAKI IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R19 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R19; SET COL_C_R19; ROW=19; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R19; SET COL_D_R19; ROW=19; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R19; SET COL_E_R19; ROW=19; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R19; SET COL_F_R19; ROW=19; KEEP ROW N_F SUM_F; RUN;



DATA ROW19; MERGE COL_C_R19 COL_D_R19 COL_E_R19 COL_F_R19  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF (IN15_MOLDKITCH IN('1') OR IN15_MOLDBATH IN('1') OR IN15_MOLDBEDRM IN('1') 
OR IN15_MOLDLROOM IN('1') OR IN15_MOLDBASEM =1 OR IN15_MOLDOTHER IN('1')) ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R20 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN15_MOLDKITCH IN('1') OR IN15_MOLDBATH IN('1') OR IN15_MOLDBEDRM IN('1') 
OR IN15_MOLDLROOM IN('1') OR IN15_MOLDBASEM =1 OR IN15_MOLDOTHER IN('1'))
 
AND (IN17_MOLDKITCH IN('1') OR IN17_MOLDBATH IN('1') OR IN17_MOLDBEDRM IN('1') 
OR IN17_MOLDLROOM IN('1') OR IN17_MOLDBASEM =1 OR IN17_MOLDOTHER IN('1')); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND (IN15_MOLDKITCH IN('1') OR IN15_MOLDBATH IN('1') OR IN15_MOLDBEDRM IN('1') 
OR IN15_MOLDLROOM IN('1') OR IN15_MOLDBASEM =1 OR IN15_MOLDOTHER IN('1'))

AND NOT (IN17_MOLDKITCH IN('1') OR IN17_MOLDBATH IN('1') OR IN17_MOLDBEDRM IN('1') 
OR IN17_MOLDLROOM IN('1') OR IN17_MOLDBASEM =1 OR IN17_MOLDOTHER IN('1')); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND (IN15_MOLDKITCH IN('1') OR IN15_MOLDBATH IN('1') OR IN15_MOLDBEDRM IN('1') 
OR IN15_MOLDLROOM IN('1') OR IN15_MOLDBASEM =1 OR IN15_MOLDOTHER IN('1')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R20 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;



DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_COOKTYPE IN('4') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R21 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_COOKTYPE IN('4') 
AND IN17_COOKTYPE IN('4'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R21 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_COOKTYPE IN('4') 
AND IN17_COOKTYPE NOT IN('4') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R21 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_COOKTYPE IN('4'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R21 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;



DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_FRIDGE IN('2') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R22 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_FRIDGE IN('2') 
AND IN17_FRIDGE IN('2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R22 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_FRIDGE IN('2') 
AND IN17_FRIDGE NOT IN('2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R22 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_FRIDGE IN('2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R22 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R22; SET COL_C_R22; ROW=22; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R22; SET COL_D_R22; ROW=22; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R22; SET COL_E_R22; ROW=22; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R22; SET COL_F_R22; ROW=22; KEEP ROW N_F SUM_F; RUN;



DATA ROW22; MERGE COL_C_R22 COL_D_R22 COL_E_R22 COL_F_R22 ; BY ROW; RUN;


***********************************************************************;



DATA COLUMN_C ; SET FORWARD; IF IN15_KITCHSINK IN('2') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R23 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_KITCHSINK IN('2') 
AND IN17_KITCHSINK IN('2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R23 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_KITCHSINK IN('2') 
AND IN17_KITCHSINK NOT IN('2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R23 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_KITCHSINK IN('2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R23 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R23; SET COL_C_R23; ROW=23; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R23; SET COL_D_R23; ROW=23; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R23; SET COL_E_R23; ROW=23; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R23; SET COL_F_R23; ROW=23; KEEP ROW N_F SUM_F; RUN;



DATA ROW23; MERGE COL_C_R23 COL_D_R23 COL_E_R23 COL_F_R23  ; BY ROW; RUN;


***********************************************************************;
      


DATA COLUMN_C ; SET FORWARD; IF IN15_KITEXCLU IN('2'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R24 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_KITEXCLU IN('2') 
AND IN17_KITEXCLU IN('2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_KITEXCLU IN('2') 
AND IN17_KITEXCLU NOT IN('2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_KITEXCLU IN('2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R24 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;



DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_PROB LE 2 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R25 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB LE 2 
AND IN17_PROB LE 2; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R25 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB LE 2 
AND IN17_PROB GT 2 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R25 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_PROB LE 2; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R25 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R25; SET COL_C_R25; ROW=25; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R25; SET COL_D_R25; ROW=25; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R25; SET COL_E_R25; ROW=25; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R25; SET COL_F_R25; ROW=25; KEEP ROW N_F SUM_F; RUN;



DATA ROW25; MERGE COL_C_R25 COL_D_R25 COL_E_R25 COL_F_R25  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_PROB  =3 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R26 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB  =3 
AND IN17_PROB  =3; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R26 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB  =3 
AND IN17_PROB NE 3 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R26 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_PROB  =3; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R26 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R26; SET COL_C_R26; ROW=26; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R26; SET COL_D_R26; ROW=26; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R26; SET COL_E_R26; ROW=26; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R26; SET COL_F_R26; ROW=26; KEEP ROW N_F SUM_F; RUN;



DATA ROW26; MERGE COL_C_R26 COL_D_R26 COL_E_R26 COL_F_R26 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_PROB GE 4 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R29 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB GE 4 
AND IN17_PROB GE 4; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R29 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_PROB GE 4 
AND IN17_PROB LT 4 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R29 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_PROB GE 4; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R29 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R29; SET COL_C_R29; ROW=29; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R29; SET COL_D_R29; ROW=29; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R29; SET COL_E_R29; ROW=29; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R29; SET COL_F_R29; ROW=29; KEEP ROW N_F SUM_F; RUN;



DATA ROW29; MERGE COL_C_R29 COL_D_R29 COL_E_R29 COL_F_R29  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_WATSOURCE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R30 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('1')
AND IN17_WATSOURCE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R30 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('1') 
AND IN17_WATSOURCE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R30 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WATSOURCE IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R30 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R30; SET COL_C_R30; ROW=30; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R30; SET COL_D_R30; ROW=30; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R30; SET COL_E_R30; ROW=30; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R30; SET COL_F_R30; ROW=30; KEEP ROW N_F SUM_F; RUN;



DATA ROW30; MERGE COL_C_R30 COL_D_R30 COL_E_R30 COL_F_R30 ; BY ROW; RUN;


***********************************************************************;




DATA COLUMN_C ; SET FORWARD; IF IN15_WATSOURCE IN('2') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R31 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('2') 
AND IN17_WATSOURCE IN('2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R31 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('2') 
AND IN17_WATSOURCE NOT IN('2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R31 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WATSOURCE IN('2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R31 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R31; SET COL_C_R31; ROW=31; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R31; SET COL_D_R31; ROW=31; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R31; SET COL_E_R31; ROW=31; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R31; SET COL_F_R31; ROW=31; KEEP ROW N_F SUM_F; RUN;



DATA ROW31; MERGE COL_C_R31 COL_D_R31 COL_E_R31 COL_F_R31 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_WATSOURCE IN('3') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R32 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('3') 
AND IN17_WATSOURCE IN('3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R32 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_WATSOURCE IN('3') 
AND IN17_WATSOURCE NOT IN('3') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R32 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_WATSOURCE IN('3'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R32 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R32; SET COL_C_R32; ROW=32; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R32; SET COL_D_R32; ROW=32; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R32; SET COL_E_R32; ROW=32; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R32; SET COL_F_R32; ROW=32; KEEP ROW N_F SUM_F; RUN;



DATA ROW32; MERGE COL_C_R32 COL_D_R32 COL_E_R32 COL_F_R32  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_SEWTYPE IN ('01') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R33 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN ('01') AND IN17_SEWTYPE IN ('01'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R33 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN ('01') AND IN17_SEWTYPE NOT IN ('01') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R33 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_SEWTYPE IN ('01'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R33 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R33; SET COL_C_R33; ROW=33; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R33; SET COL_D_R33; ROW=33; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R33; SET COL_E_R33; ROW=33; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R33; SET COL_F_R33; ROW=33; KEEP ROW N_F SUM_F; RUN;



DATA ROW33; MERGE COL_C_R33 COL_D_R33 COL_E_R33 COL_F_R33  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_SEWTYPE IN('02','03','04','05','06') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R34 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN('02','03','04','05','06') 
AND IN17_SEWTYPE IN('02','03','04','05','06'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R34 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN('02','03','04','05','06') 
AND IN17_SEWTYPE NOT IN('02','03','04','05','06') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R34 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_SEWTYPE IN('02','03','04','05','06'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R34 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R34; SET COL_C_R34; ROW=34; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R34; SET COL_D_R34; ROW=34; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R34; SET COL_E_R34; ROW=34; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R34; SET COL_F_R34; ROW=34; KEEP ROW N_F SUM_F; RUN;



DATA ROW34; MERGE COL_C_R34 COL_D_R34 COL_E_R34 COL_F_R34 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_SEWTYPE IN('07','08','09','10','M ') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R35 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN('07','08','09','10','M ') 
AND IN17_SEWTYPE IN('07','08','09','10','M '); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R35 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_SEWTYPE IN('07','08','09','10','M ')
AND IN17_SEWTYPE NOT IN('07','08','09','10','M ') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R35 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_SEWTYPE IN('07','08','09','10','M '); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R35 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R35; SET COL_C_R35; ROW=35; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R35; SET COL_D_R35; ROW=35; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R35; SET COL_E_R35; ROW=35; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R35; SET COL_F_R35; ROW=35; KEEP ROW N_F SUM_F; RUN;



DATA ROW35; MERGE COL_C_R35 COL_D_R35 COL_E_R35 COL_F_R35  ; BY ROW; RUN;

******************************************************************************************************;

DATA ALL; SET 
              ROW0 ROW1  ROW2  ROW3  ROW4  ROW5  ROW6  ROW7  ROW8  ROW9  ROW10
              ROW11 ROW12 ROW13 ROW14 ROW15 ROW16 ROW17 ROW18 ROW19 ROW20 
              ROW21 ROW22 ROW23 ROW24 ROW25 ROW26 ROW29 ROW30
              ROW31 ROW32 ROW33 ROW34 ROW35  ; RUN;

DATA ALL; SET ALL;LENGTH ROW_TITLE $45;

IF ROW=0         THEN ROW_TITLE='Housing Stock		                		';
IF ROW =1	 THEN ROW_TITLE='Occupied Units						';
IF ROW =2	 THEN ROW_TITLE='Adequate						';
IF ROW =3	 THEN ROW_TITLE='Moderately inadequate					';
IF ROW =4	 THEN ROW_TITLE='Severely inacequate					';
IF ROW =5	 THEN ROW_TITLE='Unit cold for 24 hours at least once last winter	';
IF ROW =6	 THEN ROW_TITLE='No working toilet at least once in last 3 months	';
IF ROW =7	 THEN ROW_TITLE='Unit without running water at least once last 3 months	';
IF ROW =8	 THEN ROW_TITLE='Unit has no hot and cold running waer			';
IF ROW =9	 THEN ROW_TITLE='Unit had sewer breakdown at least once last 3 months   ';
IF ROW =10	 THEN ROW_TITLE='Signs of rodents in last 12 months			';

IF ROW =11	 THEN ROW_TITLE='Foundation has cracks or is crumbling			';
IF ROW =12	 THEN ROW_TITLE='Holes in roof						';
IF ROW =13	 THEN ROW_TITLE='Roofs sages or is uneven				';
IF ROW =14	 THEN ROW_TITLE='Outside walls missing siding or bricks			';
IF ROW =15	 THEN ROW_TITLE='Outside wall lean, slope, or buckle			';
IF ROW =16	 THEN ROW_TITLE='Window(s) boarded up					';
IF ROW =17	 THEN ROW_TITLE='Holes in floors					';
IF ROW =18	 THEN ROW_TITLE='Water leak from outside in last 12 months		';
IF ROW =19	 THEN ROW_TITLE='Water leak from inside in last 12 months		';
IF ROW =20	 THEN ROW_TITLE='Mold presnt in last 12 months				';
IF ROW =21	 THEN ROW_TITLE='Unit has stove or range with oven			';
IF ROW =22	 THEN ROW_TITLE='Unit has working refrigerator				';
IF ROW =23	 THEN ROW_TITLE='Unit has kitchen sink					';
IF ROW =24	 THEN ROW_TITLE='Unit has exclusive use of kitchen			';
IF ROW =25	 THEN ROW_TITLE='Two or fewer problems						';
IF ROW =26	 THEN ROW_TITLE='Three Problems						';

IF ROW =29	 THEN ROW_TITLE='Four or more problems					';
IF ROW =30	 THEN ROW_TITLE='Public/private water					';
IF ROW =31	 THEN ROW_TITLE='Well							';
IF ROW =32	 THEN ROW_TITLE='Other water source					';
IF ROW =33	 THEN ROW_TITLE='Public sewer						';
IF ROW =34	 THEN ROW_TITLE='Septic tank/cesspool					';
IF ROW =35	 THEN ROW_TITLE='Other, none, or not reported                           ';RUN;

****************************************************************************************************;


DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F);LENGTH ROW_TITLE $ 50;RUN;

PROC PRINT DATA=ALL NOOBS; VAR ROW_TITLE ROW SUM_C SUM_D SUM_E SUM_F N_C N_D N_E N_F  COL_CHECK  
; RUN;


