options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

libname OUT 'C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019';
ods HTML file="C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019\TABLES_A_B_C_D\DETROIT_15_17_FORWARD_TABLE_C.XLS" ;

DATA FORWARD; SET OUT.FLCINCH; 
* Note missing command;
     missing B D R X _ H M N;
     MISSING b d r m n;

IF INTSTATUS15 IN('1');  
IF OMB13CBSA = '19820';
RUN;

**********************************************************************;
DATA COLUMN_C ; SET FORWARD; IF INTSTATUS15 IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17 IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS = 1 AND INTSTATUS17 NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF INTSTATUS15 IN('1') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R1 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;



DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 ; BY ROW; RUN;

*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_HHAGE LT 65 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_HHAGE LT 65 AND FLSTATUS=1 AND  IN17_HHAGE LT 65 ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_HHAGE LT 65 AND FLSTATUS=1 AND  NOT (IN17_HHAGE LT 65) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_HHAGE LT 65 AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R2 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;



DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 ; BY ROW; RUN;


*****************************************************************;

DATA COLUMN_C ; SET FORWARD; IF 65 LE IN15_HHAGE LT 75 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF 65 LE IN15_HHAGE LT 75 AND FLSTATUS=1 AND 65 LE IN17_HHAGE LT 75; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF 65 LE IN15_HHAGE LT 75 AND FLSTATUS=1 AND NOT (65 LE IN17_HHAGE LT 75) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF 65 LE IN15_HHAGE LT 75 AND FLSTATUS IN(2,3) ; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R3 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;


DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3  ; BY ROW; RUN;

**********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF 75 LE IN15_HHAGE ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF 75 LE IN15_HHAGE  AND FLSTATUS=1 AND 75 LE IN17_HHAGE; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF 75 LE IN15_HHAGE AND FLSTATUS=1 AND NOT (75 LE IN17_HHAGE) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF 75 LE IN15_HHAGE  AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R4 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;



DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4  ; BY ROW; RUN;

*************************************************************************;

DATA  FORWARD;SET FORWARD;

IN17_NUM_KIDS=IN17_NUMYNGKIDS + IN17_NUMOLDKIDS;

IN15_NUM_KIDS=IN15_NUMYNGKIDS + IN15_NUMOLDKIDS;


RUN;


DATA COLUMN_C ; SET FORWARD; IF IN15_NUM_KIDS GT 0 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_NUM_KIDS GT 0 AND FLSTATUS=1 
AND IN17_NUM_KIDS GT 0  ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_NUM_KIDS GT 0 AND FLSTATUS=1 AND 
 IN17_NUM_KIDS LE 0 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_NUM_KIDS GT 0 AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R5 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;



DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5 ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_NUM_KIDS LE 0 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_NUM_KIDS LE 0 AND FLSTATUS=1 AND 
 IN17_NUM_KIDS LE 0; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF  IN15_NUM_KIDS LE 0  AND FLSTATUS=1 AND 
   IN17_NUM_KIDS GT 0 ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R6 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF  IN15_NUM_KIDS LE 0  AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R6 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;



DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6  ; BY ROW; RUN;

*************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_HHRACE IN('01') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_HHRACE IN('01') AND FLSTATUS=1 AND IN17_HHRACE IN('01'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_HHRACE IN('01') AND FLSTATUS=1 AND IN17_HHRACE NOT IN('01'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R7 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_HHRACE IN('01') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R7 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;



DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7  ; BY ROW; RUN;

*************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HHRACE IN('02') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF IN15_HHRACE IN('02')  AND FLSTATUS=1 AND IN17_HHRACE IN('02') ; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF IN15_HHRACE IN('02')  AND FLSTATUS=1 AND IN17_HHRACE NOT IN('02') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R8 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF IN15_HHRACE IN('02') AND FLSTATUS IN(2,3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R8 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;



DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8  ; BY ROW; RUN;

*************************************************************************;

**************************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_HHRACE NOT IN('01','02'); RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R12 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HHRACE NOT IN('01','02') AND 
IN17_HHRACE NOT IN('01','02'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R12 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HHRACE NOT IN('01','02') AND 
IN17_HHRACE  IN('01','02'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R12 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HHRACE NOT IN('01','02'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R12 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;



DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HHSPAN IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R13 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HHSPAN IN('1') AND IN17_HHSPAN IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HHSPAN IN('1') AND IN17_HHSPAN NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R13 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HHSPAN IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R13 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;



DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('1') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R14 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE  IN('1') AND IN17_HSHLDTYPE IN('1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('1') AND IN17_HSHLDTYPE NOT IN('1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R14 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE  IN('1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R14 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;



DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('2') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R15 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('2') AND IN17_HSHLDTYPE IN('2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R15 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('2') AND IN17_HSHLDTYPE NOT IN('2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R15 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R15 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;



DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('3') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R16 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('3') AND IN17_HSHLDTYPE IN('3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('3') AND IN17_HSHLDTYPE NOT IN('3') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R16 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('3'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R16 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;



DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16  ; BY ROW; RUN;


***********************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('4') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R17 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('4') AND IN17_HSHLDTYPE IN('4'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R17 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('4') AND IN17_HSHLDTYPE NOT IN('4') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R17 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('4'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R17 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;



DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 ; BY ROW; RUN;


***********************************************************************;

DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('5') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R18 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('5') AND IN17_HSHLDTYPE IN('5'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R18 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('5') AND IN17_HSHLDTYPE NOT IN('5') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R18 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('5'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R18 N=N_F SUM=SUM_F ;RUN;


DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;



DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18  ; BY ROW; RUN;


***********************************************************************;
DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('6') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R19 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('6') AND IN17_HSHLDTYPE IN('6'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R19 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('6') AND IN17_HSHLDTYPE NOT IN('6') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R19 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('6'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R19 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R19; SET COL_C_R19; ROW=19; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R19; SET COL_D_R19; ROW=19; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R19; SET COL_E_R19; ROW=19; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R19; SET COL_F_R19; ROW=19; KEEP ROW N_F SUM_F; RUN;



DATA ROW19; MERGE COL_C_R19 COL_D_R19 COL_E_R19 COL_F_R19  ; BY ROW; RUN;


***********************************************************************;
DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE IN('7') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R20 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('7') AND IN17_HSHLDTYPE IN('7'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE IN('7') AND IN17_HSHLDTYPE NOT IN('7') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE IN('7'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R20 N=N_F SUM=SUM_F ;RUN;



DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;



DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20 ; BY ROW; RUN;

*****************************************************************************************************;


DATA COLUMN_C ; SET FORWARD; IF IN15_HSHLDTYPE NOT IN('1','2','3','4','5','6','7') ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R21 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE NOT IN('1','2','3','4','5','6','7') 
AND IN17_HSHLDTYPE NOT IN('1','2','3','4','5','6','7'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R21 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND IN15_HSHLDTYPE NOT IN('1','2','3','4','5','6','7') 
AND IN17_HSHLDTYPE  IN('1','2','3','4','5','6','7') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R21 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS IN(2,3) AND IN15_HSHLDTYPE NOT IN('1','2','3','4','5','6','7'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_F_R21 N=N_F SUM=SUM_F ;RUN;




DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;


DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21 ; BY ROW; RUN;

*****************************************************************************************************;


******************************************************************************************************;

DATA ALL; SET 
              ROW1  ROW2  ROW3  ROW4  ROW5  ROW6  ROW7  ROW8 
              ROW12 ROW13 ROW14 ROW15 ROW16 ROW17 ROW18 ROW19 ROW20 ROW21; RUN;

DATA ALL;SET  ALL;

LENGTH ROW_TITLE $ 45;

IF ROW =1	 THEN ROW_TITLE='Occupied Units						';
IF ROW =2	 THEN ROW_TITLE='Age: Under 65						';
IF ROW =3	 THEN ROW_TITLE='Age: 65 to 74						';
IF ROW =4	 THEN ROW_TITLE='75 or older						';
IF ROW =5	 THEN ROW_TITLE='Children: Some						';
IF ROW =6	 THEN ROW_TITLE='Children: None						';
IF ROW =7	 THEN ROW_TITLE='Race: White alone					';
IF ROW =8	 THEN ROW_TITLE='Race: Black alone					';

IF ROW =12	 THEN ROW_TITLE='Race: Two or more races				';
IF ROW =13	 THEN ROW_TITLE='Total Hispanics					';

IF ROW =14	 THEN ROW_TITLE='Married couple						';
IF ROW =15	 THEN ROW_TITLE='Other family: Male householder, no wife present	';
IF ROW =16	 THEN ROW_TITLE='Other family: Female householder, no husband present	';
IF ROW =17	 THEN ROW_TITLE='Nonfamily: Male householder, living alone		';
IF ROW =18	 THEN ROW_TITLE='Nonfamily: Male householder, not iving alone		';
IF ROW =19	 THEN ROW_TITLE='Nonfamily: Female householder, living alone		';
IF ROW =20	 THEN ROW_TITLE='Nonfamily: Female householder, not living alone	';
IF ROW =21	 THEN ROW_TITLE='Other                                          	';


RUN;

****************************************************************************************************;



DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F);RUN;

PROC PRINT DATA=ALL NOOBS; VAR ROW_TITLE ROW SUM_C SUM_D SUM_E SUM_F  N_C N_D N_E N_F COL_CHECK  
; RUN;


