options pagesize=6000 linesize=110 compress=binary nocenter MPRINT MLOGIC NODATE NONUMBER;

libname OUT 'C:\NEW_AHS_2018\DOWN LOADED DATA AS OF OCT 2019';


***************************************************************************************************;

ods HTML file="C:\NEW_AHS_2018\\DOWN LOADED DATA AS OF OCT 2019\CINCH_weights_DETROIT_20_04_02.XLS";

****************************************************************************************************;


/*******   The first part of this code is to adjust the weights till we obtain PWT17S2   *****/
/*******   In the second part we adjust the Weights PWT17S2  in several steps till we obtain PWT15S4a ****/



*******    The first Part:  BACKWARD-Looking analysis to obtain PWT17S2 for DETROIT **************************;
/*

Please combine AHS17 National with WDTG, keeping all cases with SAMPLETYPE = 1.  

*/

PROC SORT DATA=OUT.WDTG17; BY CONTROL;RUN;

DATA renamed_ahs17; SET OUT.renamed_ahs2017n;RUN;

PROC SORT DATA=renamed_ahs17; BY CONTROL;RUN;

DATA renamed_ahs15; SET OUT.renamed_ahs2015n;RUN;

PROC SORT DATA=renamed_ahs15; BY CONTROL;RUN;

DATA AHS15_AHS17; MERGE renamed_ahs15 (IN=AHS15) renamed_ahs17 (IN=AHS17); BY CONTROL; 
IF AHS17=1; RUN;

PROC SORT DATA=AHS15_AHS17; BY CONTROL;RUN;

DATA AHS15_AHS17_WDTG; MERGE AHS15_AHS17  OUT.WDTG17 ; BY CONTROL;
IF SAMPLETYPE = '1';

  * Note missing command was in already;
     missing B D R X _ H N M;
     MISSING b d r n m ;

RUN;

/*
Keep (SAMPLETYPE = 1 AND (0 < INTSTATUS17 LE 3 OR 0 LT NOINT17 LE 6) AND OMB13CBSA = 26420). 

Call this file BLDETROIT1715.
Do an unweighted and weighted (using both PWT15 and WEIGHT) count of BLDETROIT1715. 

Do unweighted and weighted (PWT17) frequency distributions of INTSTATUS15, NOINT15, INTSTATUS17, NOINT17

*/

DATA BLDETROIT1715; SET AHS15_AHS17_WDTG;L=1;

IF  OMB13CBSA = '19820'; RUN;

DATA BLDETROIT1715; SET  BLDETROIT1715;

IF INTSTATUS17 IN('1','2','3') OR 1 LE NOINT17 LE 6; RUN;



TITLE "COUNT AND SUM OF PWT17 FROM BLDETROIT1715"; RUN;

PROC MEANS DATA= BLDETROIT1715 N SUM; VAR PWT17; 
OUTPUT OUT=SUM_PWT17 SUM=SUM_PWT17;RUN;

DATA SUM_PWT17; SET SUM_PWT17; L=1;RUN;
PROC SORT DATA=SUM_PWT17; BY L;


TITLE "COUNT AND SUM OF IN17_WEIGHT FROM BLDETROIT1715"; RUN;

PROC MEANS DATA= BLDETROIT1715 N SUM; VAR IN17_WEIGHT; RUN;


TITLE "Unweighted Freq Dist of INTSTATUS15, NOINT15, INTSTATUS17, NOINT17 FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE INTSTATUS15 NOINT15 INTSTATUS17 NOINT17/MISSING ; RUN;

TITLE "Weighted (PWT17) Freq Dist of INTSTATUS15, NOINT15, INTSTATUS17, NOINT17 FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE INTSTATUS15 NOINT15 INTSTATUS17 NOINT17/MISSING ;WEIGHT PWT17; RUN;


PROC SORT DATA=BLDETROIT1715; BY L;RUN;

/* The Table Creator count of the 2015 housing stock in DETROIT is 2,598.600.*/

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17; BY L;


PWT17S1 = PWT17*1905900/SUM_PWT17; RUN;   


TITLE "COUNT AND SUM OF PWT17S1 FROM BLDETROIT1715"; RUN;

PROC MEANS DATA= BLDETROIT1715 N SUM; VAR PWT17S1; RUN;


******************************************************************************************;
/******** CREATE SAME AND LOSS   ***/

/*Create SAME and ADD as follows:

SAME = 0;

IF (0 LT INSTATUS 15 LE 3 OR 0 LT NOINT15 LE 6) AND (0 LT INSTATUS17 LE 3 OR 0 LT NOINT17 LE 6) THEN SAME = 1;

ADD = 0;

IF (1 LE INTSTATUS17 LE 3 OR NOINT17 LE 6) AND (YRINTRO = '2017' OR 10 LE NOINT15 LE 19) THRN ADD = 1;

*/

DATA BLDETROIT1715; SET BLDETROIT1715;

SAME = 0;

IF (INTSTATUS15 IN('1','2','3') OR 1 LE NOINT15 LE 6) and (INTSTATUS17 IN('1','2','3') OR 1 LE NOINT17 LE 6)

THEN SAME=1;

ADD = 0;

IF (INTSTATUS17 IN('1','2','3') OR 1 LE NOINT17 LE 6) AND (YRINTRO = '2017' OR 10 LE NOINT15 LE 19) THEN ADD = 1;

RUN;


TITLE "Unweighted Freq Dist of SAME and ADD FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE SAME ADD /MISSING ; RUN;

TITLE "Weighted (PWT17S1) Freq Dist of SAME and ADD FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE SAME ADD/MISSING ;WEIGHT PWT17S1; RUN;



PROC SORT DATA=BLDETROIT1715;BY SAME; RUN;

PROC MEANS DATA=BLDETROIT1715 SUM NOPRINT; VAR PWT17S1; 
OUTPUT OUT=SAME_SUM_PWT17S1 SUM=SAME_SUM_PWT17S1; BY SAME; RUN;

PROC SORT DATA=SAME_SUM_PWT17S1; BY SAME;RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SAME_SUM_PWT17S1; BY SAME; RUN;


PROC SORT DATA=BLDETROIT1715;BY ADD; RUN;

PROC MEANS DATA=BLDETROIT1715 SUM NOPRINT; VAR PWT17S1; 
OUTPUT OUT=ADD_SUM_PWT17S1 SUM=ADD_SUM_PWT17S1; BY ADD; RUN;

PROC SORT DATA=ADD_SUM_PWT17S1; BY ADD; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 ADD_SUM_PWT17S1; BY ADD; RUN;


/*

Create INTSAME and INTADD as follows:

INTSAME = 0;

IF (1 LE INSTATUS15 LE 3 AND 1 LE INSTATUS17 LE 3) THEN INTSAME = 1;

INTADD = 0;

IF ADDS = 1 AND 1 LE INTSTATUS17 LE 3 THEN INTADD = 1;

*/

DATA BLDETROIT1715; SET  BLDETROIT1715;

INTSAME = 0;

IF INTSTATUS15 IN('1','2','3') and INTSTATUS17 IN('1','2','3') THEN INTSAME = 1;

INTADD = 0;

IF ADD = 1 AND INTSTATUS17 IN('1','2','3') THEN INTADD = 1;RUN;


TITLE "Unweighted Cross Tab of  SAME*INTSAME  ADD*INTADD FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE SAME*INTSAME  ADD*INTADD/MISSING NOCOL NOROW NOPERCENT ; RUN;


TITLE "Unweighted Freq Dist of INTSAME and INTADD FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE INTSAME  INTADD/MISSING ; RUN;

TITLE "Weighted (PWT17S1) Freq Dist of INTSAME and INTADD FROM BLDETROIT1715"; RUN;
PROC FREQ DATA=BLDETROIT1715;TABLE INTSAME INTADD/MISSING ;WEIGHT PWT17S1; RUN;



PROC SORT DATA=BLDETROIT1715;BY INTSAME; RUN;

PROC MEANS DATA=BLDETROIT1715 SUM NOPRINT; VAR PWT17S1 ; 
OUTPUT OUT=INTSAME_SUM_PWT17S1 SUM=INTSAME_SUM_PWT17S1; BY INTSAME; RUN;

PROC SORT DATA=INTSAME_SUM_PWT17S1; BY INTSAME; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 INTSAME_SUM_PWT17S1;BY INTSAME; RUN;



PROC SORT DATA=BLDETROIT1715;BY INTADD; RUN;

PROC MEANS DATA=BLDETROIT1715 SUM NOPRINT; VAR PWT17S1; 
OUTPUT OUT=INTADD_SUM_PWT17S1 SUM=INTADD_SUM_PWT17S1; BY INTADD; RUN;

PROC SORT DATA=INTADD_SUM_PWT17S1; BY INTADD; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 INTADD_SUM_PWT17S1; BY INTADD; RUN;


/*
	Create PWT17S2 as follows:
PWT17S2 = 0
IF INTSAME =1 THEN PWT17S2 = PWT17S1*?SAME*PWTS1/ INTSAME*PWT17S1 where * means multiplication.
IF INTADD =1  THEN PWT17S2 = PWT17S1*?ADD*PWTS1 / INTADD*PWT17S1 where * means multiplication.

*/

DATA BLDETROIT1715; SET  BLDETROIT1715;

PWT17S2 = 0;

IF INTSAME = 1 THEN PWT17S2 = PWT17S1*SAME_SUM_PWT17S1/INTSAME_SUM_PWT17S1; 

IF INTADD = 1  THEN PWT17S2 = PWT17S1*ADD_SUM_PWT17S1/INTADD_SUM_PWT17S1; RUN;



TITLE "Weighted (PWT17S2) Freq Dist of INTSAME and INTADD FROM BLDETROIT1715 
BEFORE SELECTING INTSAME=1 OR INTADD=1"; RUN;

PROC FREQ DATA=BLDETROIT1715;TABLE INTSAME INTADD/MISSING ;WEIGHT PWT17S2; RUN;


DATA BLDETROIT1715; SET  BLDETROIT1715;

IF  INTSAME = 1 OR INTADD = 1;   RUN;

*/
TITLE "Unweighted Freq Dist of INTSAME and INTADD FROM BLDETROIT1715 AFTER SELECTING INTSAME=1 OR INTADD=1"; 
 RUN;

PROC FREQ DATA=BLDETROIT1715;TABLE INTSAME  INTADD/MISSING ; RUN;

TITLE "Weighted (PWT17S2) Freq Dist of INTSAME and INTADD FROM BLDETROIT1715 
AFTER SELECTING INTSAME=1 OR INTADD=1"; RUN;

PROC FREQ DATA=BLDETROIT1715;TABLE INTSAME INTADD/MISSING ;WEIGHT PWT17S2; RUN;

/* Now we produce the official counts of NC, OTHNEW, and OTHB:

	To obtain estimates of NC (new construction):
Sum PWT17S2 over all units where (YRINTRO = '2017' AND IN17_YRBUILT = 2010) OR (10 LE NOINT15 LE 11}.

	To obtain estimates of OTHNEW (other additions from new sampled cases):
Sum PWT17S2 over all units where YRINTRO = '2017' AND IN17_YRBUILT LT 2010.

	To obtain estimates of OTHB (additions from recovered temporary losses): 
Sum PWT17S2 over all units where 12 LT NOINT15 LE 19.

*/

DATA BLDETROIT1715; SET  BLDETROIT1715;
NC=0;

IF (YRINTRO = '2017' AND IN17_YRBUILT = 2010) OR (10 LE NOINT15 LE 11) THEN NC=1;

OTHNEW=0;

IF YRINTRO = '2017' AND IN17_YRBUILT LT 2010 THEN OTHNEW=1;

OTHB = 0;

IF 12 LE NOINT15 LE 19 THEN OTHB = 1;  RUN;


TITLE "UNWeighted Freq Dist of NC OTHNEW OTHB FROM BLDETROIT1715 
AFTER SELECTINGN INTSAME=1 OR INTADD=1"; RUN;

PROC FREQ DATA=BLDETROIT1715;TABLE NC OTHNEW OTHB/MISSING ; RUN;

TITLE "Weighted (PWT17S2) Freq Dist of NC OTHNEW OTHB FROM BLDETROIT1715 
AFTER SELECTINGN INTSAME=1 OR INTADD=1"; RUN;

PROC FREQ DATA=BLDETROIT1715;TABLE NC OTHNEW OTHB/MISSING ;WEIGHT PWT17S2; RUN;


/*Using the new BLDETROIT1715, do unweighted and weighted (PWT17S2) frequency distributions of:
IN17_TENURE
IN17_VACANCY
IN17_BLD
IN17_HHRACE
IN17_HHSPAN
1N17_YRBUILT
IN17_HHAGE
IN17_DISHH
*/


TITLE "UNWEIGHTED FREQ DIST OF SOME VARIABLES FROM BLDETROIT1715"; RUN;

PROC  FREQ DATA=BLDETROIT1715; TABLE IN17_TENURE
IN17_VACANCY IN17_BLD IN17_HHRACE IN17_HHSPAN IN17_YRBUILT IN17_HHAGE IN17_DISHH
/ MISSING; RUN;

TITLE "WEIGHTED (PWT17S2) FREQ DIST OF SOME VARIABLES FROM BLDETROIT1715"; RUN;

PROC  FREQ DATA=BLDETROIT1715; TABLE IN17_TENURE

IN17_VACANCY IN17_BLD IN17_HHRACE IN17_HHSPAN IN17_YRBUILT IN17_HHAGE IN17_DISHH/ 
MISSING;WEIGHT PWT17S2; RUN;

DATA BLDETROIT1715; SET BLDETROIT1715; RUN;



******************************************************************************************;

DATA BLDETROIT1715; BLDETROIT1715; 

* Note missing command was in already;
     missing B D R X _ H N M;
     MISSING b d r n m ;

/**********************    HHAGE  ********************************/
                                        HHAGE="9-Other                ";

IF	0  LE IN17_HHAGE LT 25	THEN	HHAGE="1-Under 25 years old   ";

IF	25 LE IN17_HHAGE LT 30	THEN	HHAGE="2-25 to 29 years old   ";

IF	30 LE IN17_HHAGE LT 35	THEN	HHAGE="3-30 to 34 years old   ";

IF	35 LE IN17_HHAGE LT 45	THEN	HHAGE="4-35 to 44 years old   ";

IF	45 LE IN17_HHAGE LT 55	THEN	HHAGE="5-45 to 54 years old   ";

IF      55 LE IN17_HHAGE LT 65	THEN	HHAGE="6-55 to 64 years old   ";

IF	65 LE IN17_HHAGE LT 75	THEN	HHAGE="7-65 to 74 years old   ";

IF	75 LE IN17_HHAGE 	THEN	HHAGE="8-75 years old and over";


/* CHANGE IN17_IN17_HHRACE FROM CHARACTER TO NUMERIC*/

/*IN17_HHRACE_N=1*IN17_HHRACE;*/

                          RACE="6- HHRACE=N                              ";

IF IN17_HHRACE ='01' THEN RACE="1- White alone                           ";                   

IF IN17_HHRACE ='02' THEN RACE="2- Black alone                           ";

IF IN17_HHRACE ='03' THEN RACE="3- American Indian or Alaska Native alone";         

IF IN17_HHRACE ='04' THEN RACE="4- Asian alone                           ";                                 

IF IN17_HHRACE IN('05','06','07','09')

                     THEN RACE="5- Other Races                           ";



                           ETHNICITY="Other      ";

IF IN17_HHSPAN = '1'  THEN ETHNICITY="Hispanic   ";

IF IN17_HHSPAN = '2'  THEN ETHNICITY="NonHispanic";


                           YRBUILT="other           ";

IF IN17_YRBUILT=2010  THEN YRBUILT="2010 to 2017    ";

IF IN17_YRBUILT=2000  THEN YRBUILT="2000 to 2009    ";

IF IN17_YRBUILT=1990  THEN YRBUILT="1990 to 1999    ";

IF IN17_YRBUILT=1980  THEN YRBUILT="1980 to 1989    ";

IF IN17_YRBUILT=1970  THEN YRBUILT="1970 to 1979    ";

IF IN17_YRBUILT=1960  THEN YRBUILT="1960 to 1969    ";

IF IN17_YRBUILT=1950  THEN YRBUILT="1950 to 1959    " ;

IF IN17_YRBUILT=1940  THEN YRBUILT="1940 to 1949    ";

IF IN17_YRBUILT=1930  THEN YRBUILT="1930 to 1939    ";

IF IN17_YRBUILT=1920  THEN YRBUILT="1920 to 1929    ";

IF IN17_YRBUILT=1919  THEN YRBUILT="1919 or earlier ";



                                 Structure_Type="9- other                   ";

IF IN17_BLD= '02'           THEN Structure_Type="1- 1, detached             ";

IF IN17_BLD= '03'           THEN Structure_Type="2- 1, attached             ";

IF IN17_BLD in('04','05')   THEN Structure_Type="3- 2 to 4                  ";

IF IN17_BLD= '06'           THEN Structure_Type="4- 5 to 9                  ";

IF IN17_BLD= '07'           THEN Structure_Type="5- 10 to 19                ";

IF IN17_BLD= '08'           THEN Structure_Type="6- 20 to 49                ";

IF IN17_BLD= '09'           THEN Structure_Type="7- 50 or more              ";

IF IN17_BLD in('01' ,'10')  THEN Structure_Type="8- Manufactured/mobile home";



                                 ROWS="7-Other                         ";

IF IN17_TENURE = '1'	    THEN ROWS="1-Owners                        ";

IF IN17_HUDSUB= '3'         THEN ROWS="2-Unassisted Renters            ";

IF IN17_HUDSUB= '1'         THEN ROWS="3-Public Housing/Privately owned";

IF IN17_HUDSUB= '2'         THEN ROWS="4-Voucher household             ";

IF IN17_VACANCY IN ('01','02','03','04','05','06','07')

                            THEN ROWS="5-Vacant                        ";

IF IN17_VACANCY IN ('08','09','10','11')

                            THEN ROWS="6-Seasonal                      ";



                                     COLUMNS="4-OTHERB = 1 ";

IF INTSAME = 1                  THEN COLUMNS="1-INTSAME = 1";	

IF INTADD =1 and NC =1          THEN COLUMNS="2-NC = 1     ";

IF INTADD =1 and OTHNEW =1	THEN COLUMNS="3-OTHNEW = 1 ";


RUN;


TITLE "UNWEIGHTED FREQ DIST OF IN17_TENURE IN17_HHAGE HHAGE IN17_HHRACE IN17_HHRACE RACE IN17_HHSPAN ETHNICITY YRBUILT IN17_BLD Structure_Type ROWS COLUMNS from
BLDETROIT1715"; RUN;

PROC FREQ DATA=BLDETROIT1715; TABLE IN17_TENURE IN17_HHAGE HHAGE IN17_HHRACE RACE IN17_HHSPAN ETHNICITY IN17_YRBUILT YRBUILT IN17_BLD Structure_Type ROWS 
COLUMNS/MISSING; RUN;

TITLE "WEIGHTED (PWT17S2) FREQ DIST OF IN17_TENURE IN17_HHAGE HHAGE IN17_HHRACE RACE IN17_HHSPAN ETHNICITY YRBUILT IN17_BLD Structure_Type ROWS COLUMNS from
BLDETROIT1715"; RUN;

PROC FREQ DATA=BLDETROIT1715; TABLE IN17_TENURE IN17_HHAGE HHAGE RACE IN17_HHSPAN ETHNICITY YRBUILT IN17_BLD Structure_Type ROWS 
COLUMNS/MISSING;WEIGHT PWT17S2; RUN;


******************************************************************************************;
/*****   a)	Adjusting for age of householder    ******/

PROC SORT DATA=BLDETROIT1715; BY HHAGE; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S2;

OUTPUT OUT=SUM_PWT17S2_HHAGE SUM=SUM_PWT17S2_HHAGE; BY HHAGE; RUN;

DATA SUM_PWT17S2_HHAGE; SET SUM_PWT17S2_HHAGE;

IF	HHAGE="1-Under 25 years old   "  THEN	a_a=55500;
IF	HHAGE="2-25 to 29 years old   "  THEN	a_a=101600;
IF	HHAGE="3-30 to 34 years old   "  THEN	a_a=137000;
IF	HHAGE="4-35 to 44 years old   "  THEN	a_a=280400;
IF	HHAGE="5-45 to 54 years old   "  THEN	a_a=351800;
IF	HHAGE="6-55 to 64 years old   "  THEN	a_a=351500;
IF	HHAGE="7-65 to 74 years old   "  THEN	a_a=275100;
IF	HHAGE="8-75 years old and over"  THEN	a_a=170400;


c_a=a_a/SUM_PWT17S2_HHAGE; 

IF      HHAGE="9-Other                "    THEN c_a=1;    RUN;


PROC SORT DATA=SUM_PWT17s2_HHAGE; BY HHAGE; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17S2_HHAGE;BY HHAGE; 

PWT17S3a=PWT17S2*c_a;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY HHAGE; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3a;

OUTPUT OUT=SUM_PWT17S3a_HHAGE SUM=SUM_PWT17S3a_HHAGE ; BY HHAGE; RUN;


PROC SORT DATA=SUM_PWT17S3a_HHAGE; BY HHAGE; RUN;

DATA BOTH_S2_S3a; MERGE SUM_PWT17S2_HHAGE SUM_PWT17S3a_HHAGE; BY HHAGE; RUN;

TITLE "PRINT OF TABLES A B C D ADJUSTMENT FOR HHAGE"; RUN;

PROC PRINT DATA=BOTH_S2_S3a NOOBS; VAR HHAGE a_a
SUM_PWT17S2_HHAGE c_a SUM_PWT17S3a_HHAGE; RUN;

*****************************************************************************************;
/*******b)	Adjusting for race     ******/

PROC SORT DATA=BLDETROIT1715; BY RACE;RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3a;

OUTPUT OUT=SUM_PWT17S3a_RACE SUM=SUM_PWT17S3a_RACE ; BY RACE; RUN;


DATA SUM_PWT17S3a_RACE; SET SUM_PWT17S3a_RACE;

IF RACE="1- White alone                           " THEN        a_b=1198900;

IF RACE="2- Black alone                           " Then        a_b=427900;


IF RACE="4- Asian alone                           " THEN       	a_b=70200;


C_b=a_b/SUM_PWT17S3a_RACE;

IF RACE="3- American Indian or Alaska Native alone" THEN   c_b=1;

IF RACE="5- Other Races                           " THEN   c_b=1;

IF RACE="6- HHRACE=N                              " THEN   c_b=1;RUN;


PROC SORT DATA=SUM_PWT17S3a_RACE; BY RACE; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17S3a_RACE; BY RACE; 

PWT17S3b=PWT17S3a*c_b; RUN;


PROC SORT DATA=BLDETROIT1715; BY RACE; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3b;

OUTPUT OUT=SUM_PWT17S3b_RACE SUM=SUM_PWT17S3b_RACE; BY RACE; RUN;


PROC SORT DATA=SUM_PWT17S3b_RACE; BY RACE; RUN;


DATA BOTH_S3a_S3b; MERGE SUM_PWT17S3a_RACE SUM_PWT17S3b_RACE; BY RACE;RUN;

TITLE "PRINT OF TABLES A B C D ADJUSTMENT FOR RACE"; RUN;

PROC PRINT DATA=BOTH_S3a_S3b NOOBS; VAR RACE a_b SUM_PWT17S3a_RACE c_b SUM_PWT17S3b_RACE;RUN;


********************************************************************************************************;

/******c)	Adjusting for ethnicity     ******/


PROC SORT DATA=BLDETROIT1715; BY ETHNICITY; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3b;

OUTPUT OUT=SUM_PWT17S3b_ETHNICITY SUM=SUM_PWT17S3b_ETHNICITY ; BY ETHNICITY; RUN;


DATA SUM_PWT17S3b_ETHNICITY; SET SUM_PWT17S3b_ETHNICITY;

IF ETHNICITY="Hispanic   "   THEN a_c= 55200  ; 

IF ETHNICITY="NonHispanic"   THEN a_c= 1668100;




c_c=a_c/SUM_PWT17S3b_ETHNICITY;

IF ETHNICITY="Other      " THEN c_c=1;
RUN;

PROC SORT DATA=SUM_PWT17S3b_ETHNICITY; BY ETHNICITY; RUN;

DATA BLDETROIT1715; MERGE  BLDETROIT1715 SUM_PWT17S3b_ETHNICITY;BY ETHNICITY; 
PWT17S3c=PWT17S3b*c_c;   RUN;


PROC SORT DATA=BLDETROIT1715; BY ETHNICITY; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3c;

OUTPUT OUT=SUM_PWT17S3c_ETHNICITY SUM=SUM_PWT17S3c_ETHNICITY ; BY ETHNICITY; RUN;


PROC SORT DATA=SUM_PWT17S3c_ETHNICITY; BY ETHNICITY;RUN;

DATA BOTH_S3b_S3c; MERGE SUM_PWT17S3b_ETHNICITY SUM_PWT17S3c_ETHNICITY; BY ETHNICITY;

RUN;
TITLE "PRINT OF TABLES A B C D ADJUSTMENT FOR ETHNICITY"; RUN;

PROC PRINT DATA=BOTH_S3b_S3c NOOBS; VAR ETHNICITY a_c
SUM_PWT17S3b_ETHNICITY  c_c SUM_PWT17S3c_ETHNICITY; RUN;

*****************************************************************************************;

/*****d)	Adjusting for Year Built     ******/


PROC SORT DATA=BLDETROIT1715; BY YRBUILT; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3c;

OUTPUT OUT=SUM_PWT17S3c_YRBUILT SUM=SUM_PWT17S3c_YRBUILT; BY YRBUILT; RUN;

DATA SUM_PWT17S3c_YRBUILT; SET SUM_PWT17S3c_YRBUILT;

IF YRBUILT="2010 to 2017    "   THEN a_d=43900;

IF YRBUILT="2000 to 2009    "   THEN a_d=152500;

IF YRBUILT="1990 to 1999    "   THEN a_d=223900;

IF YRBUILT="1980 to 1989    "   THEN a_d=168500;

IF YRBUILT="1970 to 1979    "   THEN a_d=266700;

IF YRBUILT="1960 to 1969    "   THEN a_d=237400;

IF YRBUILT="1950 to 1959    "   THEN a_d=370900;

IF YRBUILT="1940 to 1949    "   THEN a_d=171300;

IF YRBUILT="1930 to 1939    "   THEN a_d=75000;

IF YRBUILT="1920 to 1929    "   THEN a_d=122800;

IF YRBUILT="1919 or earlier "   THEN a_d=73000;


c_d=a_d/SUM_PWT17S3c_YRBUILT; 

IF YRBUILT="other           " THEN c_d=1;

RUN;

PROC SORT DATA=SUM_PWT17S3c_YRBUILT; BY YRBUILT; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17S3c_YRBUILT;BY YRBUILT; 

PWT17S3d=PWT17S3c*c_d;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY YRBUILT; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3d;

OUTPUT OUT=SUM_PWT17S3d_YRBUILT SUM=SUM_PWT17S3d_YRBUILT ; BY YRBUILT; RUN;


PROC SORT DATA=SUM_PWT17S3d_YRBUILT; BY YRBUILT; RUN;

DATA BOTH_S3c_S3d; MERGE SUM_PWT17S3c_YRBUILT SUM_PWT17S3d_YRBUILT; BY YRBUILT; RUN;

TITLE "PRINT OF TABLES A B C D ADJUSTMENT FOR YRBUILT"; RUN;

PROC PRINT DATA=BOTH_S3c_S3d NOOBS; VAR YRBUILT a_d
SUM_PWT17S3c_YRBUILT c_d SUM_PWT17S3d_YRBUILT; RUN;

*****************************************************************************************;

/*******e)	Adjusting for structure type     *****/

PROC SORT DATA=BLDETROIT1715; BY Structure_Type; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3d;

OUTPUT OUT=SUM_PWT17S3d_STR SUM=SUM_PWT17S3d_STR ; BY Structure_Type; RUN;



DATA SUM_PWT17S3d_STR; SET SUM_PWT17S3d_STR; 


IF Structure_Type="1- 1, detached             " THEN a_e=1326200;

IF Structure_Type="2- 1, attached             " THEN a_e=183500;

IF Structure_Type="3- 2 to 4                  " THEN a_e=70700;

IF Structure_Type="4- 5 to 9                  " THEN a_e=90000;

IF Structure_Type="5- 10 to 19                " THEN a_e=72100;

IF Structure_Type="6- 20 to 49                " THEN a_e=36900;

IF Structure_Type="7- 50 or more              " THEN a_e=75600;

IF Structure_Type="8- Manufactured/mobile home" THEN a_e=50900;


c_e=a_e/SUM_PWT17S3d_STR;

   
IF Structure_Type="9- other                   " THEN c_e=1; 

RUN;

PROC SORT DATA=SUM_PWT17S3d_STR; BY Structure_Type; RUN;

DATA BLDETROIT1715 ; MERGE BLDETROIT1715 SUM_PWT17S3d_STR; BY Structure_Type;

PWT17S3e=PWT17S3d*c_e;          RUN;


PROC SORT DATA=BLDETROIT1715; BY Structure_Type; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S3e;

OUTPUT OUT=SUM_PWT17S3e_STR SUM=SUM_PWT17S3e_STR ; BY Structure_Type; RUN;


PROC SORT DATA=SUM_PWT17S3e_STR; BY Structure_Type; RUN;

DATA BOTH_S3d_S3e;MERGE SUM_PWT17S3d_STR SUM_PWT17S3e_STR; 
BY Structure_Type; RUN;

TITLE "PRINT OF TABLES A B C D ADJUSTMENT FOR Structure_Type"; RUN;

PROC PRINT DATA=BOTH_S3d_S3e NOOBS;VAR Structure_Type  a_e SUM_PWT17S3d_STR  c_e 
SUM_PWT17S3e_STR; RUN;


********************************************************************************************;
/***** RENAME The lst weight we got above PWT17S3e to be PWT17S4a   ****/

DATA BLDETROIT1715; SET BLDETROIT1715; 

PWT17S4a=PWT17S3e;  RUN;

**********************************************************************************************;


/* ITERATION 1	Rake 1 step 1: Use PWT15S4a and the code in column A to estimate rows 3-8 in column E   */


PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715  SUM NOPRINT; VAR PWT17S4a;

OUTPUT OUT=SUM_PWT17_S4a_ROWS SUM=SUM_PWT17S4a_ROWS; BY ROWS; RUN;


DATA SUM_PWT17_S4a_ROWS; SET SUM_PWT17_S4a_ROWS;

IF ROWS="1-Owners                        "  THEN	a_g=1195900;

IF ROWS="2-Unassisted Renters            "  THEN	a_g=464000;

IF ROWS="3-Public Housing/Privately owned"  THEN	a_g=37400;

IF ROWS="4-Voucher household             "  THEN	a_g=26000;

IF ROWS="5-Vacant                        "  THEN	a_g=176000;

IF ROWS="6-Seasonal                      "  THEN	a_g=6600;


c_g=a_g/SUM_PWT17S4a_ROWS; 

IF ROWS="7-Other                         "  THEN	C_g=1;

RUN;



PROC SORT DATA=SUM_PWT17_S4a_ROWS; BY ROWS; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4a_ROWS;BY ROWS; 

PWT17S4b1=PWT17S4a*c_g;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b1;

OUTPUT OUT=SUM_PWT17_S4b1_ROWS SUM=SUM_PWT17S4b1_ROWS ; BY ROWS; RUN;


PROC SORT DATA=SUM_PWT17_S4b1_ROWS; BY ROWS; RUN;

DATA SUM_PWT17_S4b1_ROWS; MERGE SUM_PWT17_S4a_ROWS SUM_PWT17_S4b1_ROWS; BY ROWS; RUN;

TITLE "ITERATION 1: PRINT OF TABLES A B C D ADJUSTMENT FOR ROWS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b1_ROWS NOOBS; VAR ROWS a_g
SUM_PWT17S4a_ROWS c_g SUM_PWT17S4b1_ROWS; RUN;



*****************************************************************************************;
/*************ITERATION 2: Rake 2 Step 1	Adjusting for INTSAME and INTLOSS.  *******/


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;


PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR  PWT17S4b1;

OUTPUT OUT=SUM_PWT17_S4b1_COLUMNS SUM=SUM_PWT17S4b1_COLUMNS; BY COLUMNS; RUN;

DATA SUM_PWT17_S4b1_COLUMNS; SET SUM_PWT17_S4b1_COLUMNS;


IF COLUMNS="1-INTSAME = 1 " THEN a_h=1876088;


IF COLUMNS="2-NC = 1      " THEN a_h=9365;


IF COLUMNS="3-OTHNEW = 1  " THEN a_h=778;


IF COLUMNS="4-OTHERB = 1 " THEN a_h=19669;


c_h=a_h/SUM_PWT17S4b1_COLUMNS;

RUN;


PROC SORT DATA=SUM_PWT17_S4b1_COLUMNS;BY COLUMNS; RUN; 


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b1_COLUMNS;BY COLUMNS; 

PWT17S4b2=PWT17S4b1*c_h;        RUN;


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b2;

OUTPUT OUT=SUM_PWT17_S4b2_COLUMNS SUM=SUM_PWT17S4b2_COLUMNS ; BY COLUMNS; RUN;


PROC SORT DATA=SUM_PWT17_S4b2_COLUMNS; BY COLUMNS; RUN;


DATA SUM_PWT17_S4b2_COLUMNS; MERGE SUM_PWT17_S4b2_COLUMNS SUM_PWT17_S4b1_COLUMNS;

BY COLUMNS; RUN;


TITLE "ITERATION 2: PRINT OF TABLES A B C D ADJUSTMENT FOR COLUMNS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b2_COLUMNS NOOBS; VAR COLUMNS a_h
SUM_PWT17S4b1_COLUMNS c_h SUM_PWT17S4b2_COLUMNS; RUN;

*****************************************************************************************;

/*	ITERATION # 3  IN TE RACKING ITERATION   */


PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b2;

OUTPUT OUT=SUM_PWT17_S4b2_ROWS SUM=SUM_PWT17S4b2_ROWS; BY ROWS; RUN;

DATA SUM_PWT17_S4b2_ROWS; SET SUM_PWT17_S4b2_ROWS;



IF ROWS="1-Owners                        "  THEN	a_g=1195900;

IF ROWS="2-Unassisted Renters            "  THEN	a_g=464000;

IF ROWS="3-Public Housing/Privately owned"  THEN	a_g=37400;

IF ROWS="4-Voucher household             "  THEN	a_g=26000;

IF ROWS="5-Vacant                        "  THEN	a_g=176000;

IF ROWS="6-Seasonal                      "  THEN	a_g=6600;

d_g=a_g/SUM_PWT17S4b2_ROWS; 

IF ROWS="7-Other                         " THEN	d_g=1;

RUN;

PROC SORT DATA=SUM_PWT17_S4b2_ROWS; BY ROWS; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b2_ROWS;BY ROWS; 

PWT17S4b3=PWT17S4b2*d_g;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY ROWS; 
PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b3;

OUTPUT OUT=SUM_PWT17_S4b3_ROWS SUM=SUM_PWT17S4b3_ROWS ; BY ROWS; RUN;


PROC SORT DATA=SUM_PWT17_S4b3_ROWS; BY ROWS; RUN;

DATA SUM_PWT17_S4b3_ROWS; MERGE SUM_PWT17_S4b2_ROWS SUM_PWT17_S4b3_ROWS; BY ROWS; RUN;

TITLE "ITERATION 3: PRINT OF TABLES A B C D ADJUSTMENT FOR ROWS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b3_ROWS NOOBS; VAR ROWS a_g
SUM_PWT17S4b2_ROWS d_g SUM_PWT17S4b3_ROWS; RUN;



*****************************************************************************************;
/*************  ITERATION # 4  IN TE RACKING ITERATION   */



PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;


PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR  PWT17S4b3;

OUTPUT OUT=SUM_PWT17_S4b3_COLUMNS SUM=SUM_PWT17S4b3_COLUMNS; BY COLUMNS; RUN;


DATA SUM_PWT17_S4b3_COLUMNS; SET SUM_PWT17_S4b3_COLUMNS;



IF COLUMNS="1-INTSAME = 1 " THEN a_h=1876088;


IF COLUMNS="2-NC = 1      " THEN a_h=9365;


IF COLUMNS="3-OTHNEW = 1  " THEN a_h=778;


IF COLUMNS="4-OTHERB = 1 " THEN a_h=19669;

d_h=a_h/SUM_PWT17S4b3_COLUMNS;

 RUN;


PROC SORT DATA=SUM_PWT17_S4b3_COLUMNS;BY COLUMNS; RUN; 


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b3_COLUMNS;BY COLUMNS; 

PWT17S4b4=PWT17S4b3*d_h;        RUN;


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b4;

OUTPUT OUT=SUM_PWT17_S4b4_COLUMNS SUM=SUM_PWT17S4b4_COLUMNS ;BY  COLUMNS; RUN;


PROC SORT DATA=SUM_PWT17_S4b4_COLUMNS; BY COLUMNS; RUN;


DATA SUM_PWT17_S4b4_COLUMNS; MERGE SUM_PWT17_S4b4_COLUMNS SUM_PWT17_S4b3_COLUMNS;

BY COLUMNS; RUN;


TITLE "ITERATION 4: PRINT OF TABLES A B C D ADJUSTMENT FOR COLUMNS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b4_COLUMNS NOOBS; VAR COLUMNS a_h
SUM_PWT17S4b3_COLUMNS d_h SUM_PWT17S4b4_COLUMNS; RUN;

***************************************************************************************************;

/*	 ITERATION # 5  IN TE RACKING ITERATION */



PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b4;

OUTPUT OUT=SUM_PWT17_S4b4_ROWS SUM=SUM_PWT17S4b4_ROWS; BY ROWS; RUN;



DATA SUM_PWT17_S4b4_ROWS; SET SUM_PWT17_S4b4_ROWS;

IF ROWS="1-Owners                        "  THEN	a_g=1195900;

IF ROWS="2-Unassisted Renters            "  THEN	a_g=464000;

IF ROWS="3-Public Housing/Privately owned"  THEN	a_g=37400;

IF ROWS="4-Voucher household             "  THEN	a_g=26000;

IF ROWS="5-Vacant                        "  THEN	a_g=176000;

IF ROWS="6-Seasonal                      "  THEN	a_g=6600;



e_g=a_g/SUM_PWT17S4b4_ROWS; 

IF ROWS="7-Other                         " THEN	e_g=1;


RUN;

PROC SORT DATA=SUM_PWT17_S4b4_ROWS; BY ROWS; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b4_ROWS;BY ROWS; 

PWT17S4b5=PWT17S4b4*e_g;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b5;

OUTPUT OUT=SUM_PWT17_S4b5_ROWS SUM=SUM_PWT17S4b5_ROWS ; BY ROWS; RUN;


PROC SORT DATA=SUM_PWT17_S4b5_ROWS; BY ROWS; RUN;

DATA SUM_PWT17_S4b5_ROWS; MERGE SUM_PWT17_S4b4_ROWS SUM_PWT17_S4b5_ROWS; BY ROWS; RUN;

TITLE "ITERATION 5: PRINT OF TABLES A B C D ADJUSTMENT FOR ROWS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b5_ROWS NOOBS; VAR ROWS a_g
SUM_PWT17S4b4_ROWS e_g SUM_PWT17S4b5_ROWS; RUN;



*****************************************************************************************;
/*************  ITERATION # 6  IN TE RACKING ITERATION  */



PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;


PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR  PWT17S4b5;

OUTPUT OUT=SUM_PWT17_S4b5_COLUMNS SUM=SUM_PWT17S4b5_COLUMNS; BY COLUMNS; RUN;

DATA SUM_PWT17_S4b5_COLUMNS; SET SUM_PWT17_S4b5_COLUMNS;



IF COLUMNS="1-INTSAME = 1 " THEN a_h=1876088;


IF COLUMNS="2-NC = 1      " THEN a_h=9365;


IF COLUMNS="3-OTHNEW = 1  " THEN a_h=778;


IF COLUMNS="4-OTHERB = 1 " THEN a_h=19669;

e_h=a_h/SUM_PWT17S4b5_COLUMNS;


 RUN;


PROC SORT DATA=SUM_PWT17_S4b5_COLUMNS;BY COLUMNS; RUN; 


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b5_COLUMNS;BY COLUMNS; 

PWT17S4b6=PWT17S4b5*e_h;        RUN;


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b6;

OUTPUT OUT=SUM_PWT17_S4b6_COLUMNS SUM=SUM_PWT17S4b6_COLUMNS ;BY  COLUMNS; RUN;


PROC SORT DATA=SUM_PWT17_S4b6_COLUMNS; BY COLUMNS; RUN;


DATA SUM_PWT17_S4b6_COLUMNS; MERGE SUM_PWT17_S4b6_COLUMNS SUM_PWT17_S4b5_COLUMNS;

BY COLUMNS; RUN;


TITLE "ITERATION 6: PRINT OF TABLES A B C D ADJUSTMENT FOR COLUMNS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b6_COLUMNS NOOBS; VAR COLUMNS a_h
SUM_PWT17S4b5_COLUMNS e_h SUM_PWT17S4b6_COLUMNS; RUN;

*****************************************************************************************;

/*	  ITERATION # 7  IN TE RACKING ITERATION   */



PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b6;

OUTPUT OUT=SUM_PWT17_S4b6_ROWS SUM=SUM_PWT17S4b6_ROWS; BY ROWS; RUN;



DATA SUM_PWT17_S4b6_ROWS; SET SUM_PWT17_S4b6_ROWS;



IF ROWS="1-Owners                        "  THEN	a_g=1195900;

IF ROWS="2-Unassisted Renters            "  THEN	a_g=464000;

IF ROWS="3-Public Housing/Privately owned"  THEN	a_g=37400;

IF ROWS="4-Voucher household             "  THEN	a_g=26000;

IF ROWS="5-Vacant                        "  THEN	a_g=176000;

IF ROWS="6-Seasonal                      "  THEN	a_g=6600;

f_g=a_g/SUM_PWT17S4b6_ROWS; 

IF ROWS="7-Other                         " THEN	f_g=1;


RUN;

PROC SORT DATA=SUM_PWT17_S4b6_ROWS; BY ROWS; RUN;


DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b6_ROWS;BY ROWS; 

PWT17S4b7=PWT17S4b6*f_g;     RUN;
 
PROC SORT DATA=BLDETROIT1715; BY ROWS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b7;

OUTPUT OUT=SUM_PWT17_S4b7_ROWS SUM=SUM_PWT17S4b7_ROWS ; BY ROWS; RUN;


PROC SORT DATA=SUM_PWT17_S4b7_ROWS; BY ROWS; RUN;

DATA SUM_PWT17_S4b7_ROWS; MERGE SUM_PWT17_S4b6_ROWS SUM_PWT17_S4b7_ROWS; BY ROWS; RUN;

TITLE "ITERATION 7: PRINT OF TABLES A B C D ADJUSTMENT FOR ROWS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b7_ROWS NOOBS; VAR ROWS a_g
SUM_PWT17S4b6_ROWS f_g SUM_PWT17S4b7_ROWS; RUN;



*****************************************************************************************;
/************* ITERATION # 8  IN TE RACKING ITERATION    */


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;


PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR  PWT17S4b7;

OUTPUT OUT=SUM_PWT17_S4b7_COLUMNS SUM=SUM_PWT17S4b7_COLUMNS; BY COLUMNS; RUN;

DATA SUM_PWT17_S4b7_COLUMNS; SET SUM_PWT17_S4b7_COLUMNS;


IF COLUMNS="1-INTSAME = 1 " THEN a_h=1876088;


IF COLUMNS="2-NC = 1      " THEN a_h=9365;


IF COLUMNS="3-OTHNEW = 1  " THEN a_h=778;


IF COLUMNS="4-OTHERB = 1 " THEN a_h=19669;


f_h=a_h/SUM_PWT17S4b7_COLUMNS;


 RUN;



PROC SORT DATA=SUM_PWT17_S4b7_COLUMNS;BY COLUMNS; RUN; 


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

DATA BLDETROIT1715; MERGE BLDETROIT1715 SUM_PWT17_S4b7_COLUMNS;BY COLUMNS; 

PWT17S4b8=PWT17S4b7*f_h;        RUN;


PROC SORT DATA=BLDETROIT1715; BY COLUMNS; RUN;

PROC MEANS DATA=BLDETROIT1715 NOPRINT SUM; VAR PWT17S4b8;

OUTPUT OUT=SUM_PWT17_S4b8_COLUMNS SUM=SUM_PWT17S4b8_COLUMNS ;BY  COLUMNS; RUN;


PROC SORT DATA=SUM_PWT17_S4b8_COLUMNS; BY COLUMNS; RUN;


DATA SUM_PWT17_S4b8_COLUMNS; MERGE SUM_PWT17_S4b8_COLUMNS SUM_PWT17_S4b7_COLUMNS;

BY COLUMNS; RUN;


TITLE "ITERATION 8: PRINT OF TABLES A B C D ADJUSTMENT FOR COLUMNS"; RUN;

PROC PRINT DATA=SUM_PWT17_S4b8_COLUMNS NOOBS; VAR COLUMNS a_h
SUM_PWT17S4b7_COLUMNS f_h SUM_PWT17S4b8_COLUMNS; RUN;

*****************************************************************************************;
*****************************************************************************************;

DATA OUT.BLCINCH_DETROIT;SET BLDETROIT1715;

BLCINCHWT=PWT17S4b8;RUN;

/*
	Using BLDETROIT1517, do unweighted and weighted (BLCINCHWT) frequency distributions of:
IN17_TENURE
IN17_VACANCY
IN17_BLD
IN17_HHRACE
IN17_HHSPAN
1N15_YRBUILT
IN17_HHAGE
IN17_DISHH
*/


TITLE "UNWEIGHTED FREQ DIST OF SOME VARIABLES FROM OUT.BLCINCH_DETROIT"; RUN;

PROC  FREQ DATA=OUT.BLCINCH_DETROIT; TABLE IN17_TENURE
IN17_VACANCY IN17_BLD IN17_HHRACE IN17_HHSPAN IN17_YRBUILT IN17_HHAGE IN17_DISHH
/ MISSING; RUN;

TITLE "WEIGHTED (BLCINCHWT) FREQ DIST OF SOME VARIABLES FROM OUT.BLCINCH_DETROIT"; RUN;

PROC  FREQ DATA=OUT.BLCINCH_DETROIT; TABLE IN17_TENURE

IN17_VACANCY IN17_BLD IN17_HHRACE IN17_HHSPAN IN17_YRBUILT IN17_HHAGE IN17_DISHH/ 
MISSING;WEIGHT BLCINCHWT; RUN;

